var isgainPageNo = '0';
var isSuedPageNo = '0';
var isExpiredPageNo = '0';
var pageSize = '10';
var gainCardInfoTemplate = "<li><div class=\"card-msg\"><div class=\"card-head\"><img class=\"mui-pull-left\" src=\"{0}\" onerror=noFindImg(\"{7}\")><span>{1}</span></div><div class=\"card-body\"><h2>￥<span>{2}</span></h2><p>助学金</p><p>卡号：{3}</p><p>有效期至 {4}</p></div><div class=\"card-status clear\"><p><span>发卡者：</span>{5}</p><p><span>发卡日期：</span>{6}</p></div></div></li>";
var isSuedCardInfoTemplate = "<li><div class=\"card-msg card-fail card-used\"><div class=\"card-head\"><img class=\"mui-pull-left\" src=\"{0}\" onerror=noFindImg(\"{7}\")><span>{1}</span></div><div class=\"card-body\"><h2>￥<span>{2}</span></h2><p>助学金</p><p>卡号：{3}</p><p>{4} 已使用</p>	</div><div class=\"card-status clear\"><p><span>发卡者：</span>{5}</p><p><span>发卡日期：</span>{6}</p></div></div></li>";
var expiredInfoTemplate = "<li><div class=\"card-msg card-fail\"><div class=\"card-head\"><img class=\"mui-pull-left\" src=\"{0}\" onerror=noFindImg(\"{7}\")><span>{1}</span></div><div class=\"card-body\"><h2>￥<span>{2}</span></h2><p>助学金</p><p>卡号：{3}</p><p>{4} 已过期</p></div><div class=\"card-status clear\"><p><span>发卡者：</span>{5}</p><p><span>发卡日期：</span>{6}</p></div></div></li>";
var item1_nodata = "<p class=\"no-data\" ><img src=\"../images/no_card.png\" /><span >您还没有助学卡</span></p>";
var item2_nodata="<p class=\"no-data\" ><img src=\"../images/no_card.png\" /><span >您还没有已使用学卡</span></p>";
var item3_nodata="<p class=\"no-data\" ><img src=\"../images/no_card.png\" /><span >您还没有已过期学卡</span></p>";
var userKey="";
var schoolCard = {
	userkey_counselor: "",
	userkey_stu: "",
	schoolkey: ""
};


mui.plusReady(function() {
	isLogin();

jQuery(".no-data").hide();
var Request = plus.webview.currentWebview();
userKey = userInfoJson.login_id
console.log("userKey:" +userKey)
loadGainList(null,userKey);
loadIssuedList(null,userKey);
loadExpiredList(null,userKey);

// 已获得
var gainDiv = document.getElementById("item1");
mui(gainDiv).pullToRefresh({
	down: {
		callback: function() {
			var self = this;
			setTimeout(function(){
				reloadGainList(self);
			},1000);
			}
	},
	up: {
		callback: function() {
			var self = this;
			setTimeout(function() {
				loadGainList(self,1,userKey);
			}, 300);
		}
	}
});

// 已获使用助学卡
var issuedDiv = document.getElementById("item2");
mui(issuedDiv).pullToRefresh({
	down: {
		callback: function() {
			var self = this;
			setTimeout(function(){
				reloadIssuedList(self);
			},1000);
		}
		
	},
	up: {
		callback: function() {
			var self = this;
			setTimeout(function() {
				loadIssuedList(self,2,userKey);
			}, 300);
		}
	}
});


// 已过期助学卡
var unissuedDiv = document.getElementById("item3");
mui(unissuedDiv).pullToRefresh({
	down: {
		callback: function() {
			var self = this;
			setTimeout(function(){
				reloadExpiredList(self);
			},1000);
		}
	},
	up: {
		callback: function() {
			var self = this;
			setTimeout(function() {
				loadExpiredList(self,3,userKey);
			}, 300);
		}
	}
});

	

});

function reloadGainList(pullRefresh){
	console.log(userKey);
	var isgainDiv = document.getElementById("item1");
	isgainPageNo = 1;
	getStudentCardsInfo(pullRefresh,1,userKey,isgainPageNo);
	pullRefresh.endPullDownToRefresh();
	mui(isgainDiv).pullToRefresh().refresh(true);
	
}
function loadGainList(pullRefresh,userkey) {
	isgainPageNo = parseInt(isgainPageNo) + parseInt(1);
	getStudentCardsInfo(pullRefresh,1,userkey,isgainPageNo);
}


function reloadIssuedList(pullRefresh){
	var isSuedDiv = document.getElementById("item2");
	isSuedPageNo = 1;
	getStudentCardsInfo(pullRefresh,2,userKey,isSuedPageNo);
	pullRefresh.endPullDownToRefresh();
	mui(isSuedDiv).pullToRefresh().refresh(true);
	
}

function loadIssuedList(pullRefresh,userkey) {
	isSuedPageNo = parseInt(isSuedPageNo) + parseInt(1);
	getStudentCardsInfo(pullRefresh,2,userkey,isSuedPageNo);
}


function reloadExpiredList(pullRefresh){
	var isExpiredDiv = document.getElementById("item3");
	isExpiredPageNo = 1;
	getStudentCardsInfo(pullRefresh,3,userKey,isExpiredPageNo);
	pullRefresh.endPullDownToRefresh();
	mui(isExpiredDiv).pullToRefresh().refresh(true);
	
}
function loadExpiredList(pullRefresh,userkey) {
	isExpiredPageNo = parseInt(isExpiredPageNo) + parseInt(1);
	getStudentCardsInfo(pullRefresh,3,userkey,isExpiredPageNo);
}

//可发放
function getStudentCardsInfo(pullRefresh,cardstate,userkey,pageNo) {
//	console.log("userkey:" +userkey+"||pageNo:" +pageNo+"||pageSize:"+pageSize+"||cardstate"+cardstate);
	jQuery.ajax(ajaxDomainAPI + 'getStudentCards', {
		async: true,
		cache: false,
		data: {
			userkey: userkey,
			clientVer: clientVer,
			pageNo: pageNo,
			pageSize: pageSize,
			cardstate: cardstate
		},
		dataType: 'text',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			var err = data.rtnStatus;
			var msg = data.rtnMsg;
//			console.log("cardstate:" + cardstate+" ||data:" + JSON.stringify(data));
			if(data.rtnStatus){
				var size = 0;
				if(data.rows == null || data.rows.length == 0){
					noDataShow(cardstate);
				} else {
					var cardlist = "";
					var cardInfoTemplate = getCardInfoTemplate(cardstate);
					size = data.rows.length;
					for(var i=0; i<data.rows.length;i++){
						// 院校LOGO图片
						if(isNotEmpty(data.rows[i].ggzlogo)){
							cardlist = cardlist + cardInfoTemplate.replace("{0}",data.rows[i].ggzlogo);
						} else {
							cardlist = cardlist + cardInfoTemplate.replace("{0}",'../images/default_logo.png');
						}
						// onerror 图片加载异常处理
						cardlist = cardlist.replace("{7}",'../images/default_logo.png');
						// 院校名称
						cardlist = cardlist.replace("{1}",data.rows[i].schoolname);
						// 助学金
						cardlist = cardlist.replace("{2}",data.rows[i].cardmoney);
						// 助学卡卡号
						cardlist = cardlist.replace("{3}",data.rows[i].cardkey);
						
						// 助学卡有效日期
						if(cardstate == 2){
							cardlist = cardlist.replace("{4}",data.rows[i].sytime);
						} else {
							cardlist = cardlist.replace("{4}",data.rows[i].validdate);
						}
						
						// 助学卡 发卡者
						cardlist = cardlist.replace("{5}",data.rows[i].nicknameCounselor);						
						// 助学发卡日期
						cardlist = cardlist.replace("{6}",data.rows[i].lqtime);
					}
					// 添加数据
					insertCardListHtml(cardlist,cardstate);
					return;
				}
				 refreshPerson();
			} else {
				noDataShow(cardstate);
			}
			
			if (!isEmpty(pullRefresh)) {
				pullRefresh.endPullUpToRefresh(pageSize > size);
			}
		

		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
			noDataShow(cardstate);
			console.log("getStudentCardsInfo error");
		}
	});
}

function refreshPerson(){
	console.log("refreshPerson");
	var temp = {};
	var personObj = plus.webview.getWebviewById('page/person.html');
	temp['page/notice.html'] = "true";
	temp['page/person.html'] = "true";
	temp['page/main.html'] = "true";
	setAniShow(temp);
	mui.fire(personObj,'refreshPerson');
}

function noDataShow(cardstate){
	console.log("noDataShow:" +cardstate);
	if(cardstate == 1){
		if(isgainPageNo == 1){
			jQuery("#item1").html(item1_nodata);
		}
	} else if(cardstate == 2){
		if(isSuedPageNo == 1){
			jQuery("#item2").html(item2_nodata);
		} 
	} else if(cardstate == 3){
		if(isExpiredPageNo == 1){
			jQuery("#item3").html(item3_nodata);
		} 
	}
}

function getCardInfoTemplate(cardstate){
	if(cardstate == 1){
		return gainCardInfoTemplate;
	} else if(cardstate == 2){
		return isSuedCardInfoTemplate;
	} else if(cardstate == 3){
		return expiredInfoTemplate;
	}
}

function insertCardListHtml(cardList,cardstate){
	if(cardstate == 1){
		if(isgainPageNo == 1){
			jQuery("#item1 .card-list").html(cardList);
		} else {
			jQuery("#item1 .card-list").append(cardList);
		}
		
	} else if(cardstate == 2){
		
		if(isSuedPageNo == 1){
			jQuery("#item2 .card-list").html(cardList);
		} else {
			jQuery("#item2 .card-list").append(cardList);
		}
		
	} else if(cardstate == 3){
		if(isExpiredPageNo == 1){
			jQuery("#item3 .card-list").html(cardList);
		} else {
			jQuery("#item3 .card-list").append(cardList);
		}
		
	}
}

