var pageNoQues='1';//问答列表当前页
var pageSizeQues='20';//问答列表每页数据条数
var orderType='11';//问答列表排序方式，默认：热门（11）
var count=0;//记录已经加载总记录数，用于上拉加载
var pullRefreshQues;//上拉加载对象
var contentTmp="";//临时存储问题详情内容，用于防止重复提交问题详情
var currUserinfo;//当前登陆用户的信息
var currUserkey;//当前登陆用户的 ID
var isSignupPermissionOk=false;//当前用户是否完善用户信息
var counselorPageNo = '1';
var counselorPageSize = '10';
var netOk = true;
var isReload = false;

/**
 * 页面一加载完就执行
 */
mui.plusReady(function(){
	
	//检查网络状态
	onNetChange();
	document.addEventListener( "netchange", onNetChange, false );
	
	jQuery("#noNetworkReload").on("tap","a",function(){
		plus.webview.currentWebview().reload();
	});
	
	//首页初始化
	initMain();
	
	setTimeout(function(){
		getCurrUserinfo();
	},300);
	
	setTimeout(function(){
		getSynQuestionList();//异步获取问题列表
	},300);
	
	setTimeout(function(){
		bindGotoSubjectDtlEvent();//绑定点击问题标题跳转到 问题详情页面
	},300);
	
	setTimeout(function(){
		bindSendEvnt();//绑定新增一条问题的发送点击事件
	},300);
	
	setTimeout(function(){
		synChkSignupPermission();//验证用户是否完善信息
	},300);
	
	setTimeout(function(){
		bindConfirmEvent();//提问输入框 绑定 点击时，验证是否登陆，是否已完善个人信息
	},300);
});

/**
 * 获取用户信息
 */
function getCurrUserinfo(){
	//获取当前登陆用户的信息
	var userInfoStr = getUserInfo();
	
	if(!isEmpty(userInfoStr)){
		currUserinfo = jQuery.parseJSON(userInfoStr);
		currUserkey = currUserinfo.login_id;
		console.log("当前登陆用户信息：");
		console.log(currUserinfo);
	}else{
		currUserkey = "";
		currUserinfo = null;
		jQuery("#a_sendBtn").attr("disabled",true);
	}
}

/**
 * 页面一加载完就执行
 */
mui.ready(function(){
	//使 问题列表  支持 上拉加载
	var itemDiv2 = document.getElementById("item2");
	mui(itemDiv2).pullToRefresh({
		down:{
			callback: function(){
				var downRefreshQues = this;
				pageNoQues='1';//问答列表当前页
				pageSizeQues='20';//问答列表每页数据条数
				count=0;//记录已经加载总记录数，用于上拉加载
				if(pullRefreshQues!=null){
					pullRefreshQues.refresh(true);
				}
				jQuery("#ul_QuesList").siblings().hide();
				jQuery("#ul_QuesList").html("");
				jQuery(".main-loading").show();
				setTimeout(function(){
					getSynQuestionList();
					downRefreshQues.endPullDownToRefresh();
					jQuery(".main-btnbox").show();
					jQuery(".main-loading").hide();
				},1000);
			}
		},
		up:{
			callback: function(){
//				var self = this;
				pullRefreshQues = this;
				//console.log(this);
				getSynQuestionList();
			}
		}
	});
	
})




//#####################			问答相关  JS代码块  start          ############################

/**
 * 异步获取问题列表数据
 */
function getSynQuestionList(){
	jQuery.ajax(ajaxDomainAPI+'qryQASubjectList',{
		data:{
			orderType:orderType,
			pageNo:pageNoQues,
			clientVer: clientVer,
			pageSize:pageSizeQues
		},
		dataType:'json',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				var pageNoTmp = pageNoQues;
				pageNoQues=data.page.nextPage;
				if(pageNoQues ==2 &&pageNoTmp == pageNoQues){
					pageNoQues++;
				}
				var rows = data.rows;
				console.log(rows);
				var htmlStr = getQuesHtmlStr(rows);
				if(pageNoQues<=2){
//					pageSizeQues = 10;
					jQuery("#ul_QuesList").html(htmlStr);//填充 提问 列表
				}else{
					jQuery("#ul_QuesList").append(htmlStr);//填充 提问 列表
				}
				jQuery("#ul_QuesList").siblings().show();
//				mui('#item2').pullRefresh().endPullupToRefresh(count>=data.page.total); //参数为true代表没有更多数据了。
				if(pullRefreshQues!=null){
					pullRefreshQues.endPullUpToRefresh(count>=data.page.total);
				}
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
			if (netOk) {
				jQuery("#noNetworkReload").show();
				jQuery("#item1mobile").hide();
				jQuery("#item2mobile").hide();
			}
		}
	});
}


/**
 * 拼组 问答列表 显示内容
 * @param {Object} datas
 */
function getQuesHtmlStr(datas){
	var html = "";
	/**
	 * <li class="mui-table-view-cell mui-media">
			<a class="mui-pull-left" href="stu_dtl.html"><img class="mui-media-object" src="../images/shuijiao.jpg"></a>
			<div class="mui-media-body"><a href="ques_dtl.html">
				<h5>李中凯</h5>
				<h4>高考填报志愿应该注意什么？</h4>
				
				<p class="ques-view clear"><span class="mui-pull-left">01:30</span><span class=" mui-pull-right"><i class="mui-icon iconfont icon-reply"></i>45</span><span class="mui-pull-right"><i class="mui-icon iconfont icon-eye"></i>1278</span></p>
			</a></div>
		</li>
	 */
	for(var ii = 0 ; ii < datas.length ; ii++){
		count++;
		var data = datas[ii];
		html += '<li class="mui-table-view-cell mui-media">';
		html += '<a class="mui-pull-left" userkey_publisher="'+data.userkey_publisher+'"><img class="mui-media-object" src="'+data.studentimg+'" onerror="javascript:this.src=\'../images/default_ava.jpg\';"></a>';
		html += '<div class="mui-media-body"><a subjectId="'+data.subject_id+'" >';
		html += '<h5>'+data.nickname+'</h5>';
		html += '<h4>'+data.content+'</h4>';
		
		html += '<p class="ques-view clear"><span class="mui-pull-left">'+data.createtime+'</span><span class=" mui-pull-right" id="span_replyNum_'+data.subject_id+'"><i class="mui-icon iconfont icon-reply"></i>'+data.replyNum+'</span><span class="mui-pull-right" id="span_pv_'+data.subject_id+'"><i class="mui-icon iconfont icon-eye"></i>'+data.pv+'</span></p>';
		html += '</a></div>';
		html += '</li>';
	}
	
	return html;
}

/**
 * 获取单条 问题 的 回复数，访问数
 * @param {Object} subjectIdParam
 */
function synGetOneSubjectInfo(subjectIdParam){
	console.log("来自问题详情页面的调用传参数：");
	console.log(subjectIdParam);
	jQuery.ajax(ajaxDomainAPI+'qrySubjectPV',{
		data:{
			subject_id:subjectIdParam,
			clientVer: clientVer,
			pageNo:"1",
			pageSize:"1"
		},
		dataType:'json',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				var replyNumTmp = '<i class="mui-icon iconfont icon-reply"></i>' +data.replyNum;
				var pvTmp = '<i class="mui-icon iconfont icon-eye"></i>'+data.pv;
				
				jQuery("#span_replyNum_"+subjectIdParam).html(replyNumTmp);
				jQuery("#span_pv_"+subjectIdParam).html(pvTmp);
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
			if (netOk) {
				jQuery("#noNetworkReload").show();
				jQuery("#item1mobile").hide();
				jQuery("#item2mobile").hide();
			}
		}
	});
}

//
/**
 * 获取 初次 按热门排序数据
 */
function getFisrtReMenDatas(){
	pageNoQues='1';
	pageSizeQues="20";
	orderType='11';
	count=0;
	
	jQuery("#ul_QuesList").html("");
	if(pullRefreshQues!=null){
		pullRefreshQues.refresh(true);
	}
	getSynQuestionList();
}
//
/**
 * 获取 初次 按最新排序数据
 */
function getFirstNewDatas(){
	pageNoQues='1';
	pageSizeQues="20";
	orderType='10';
	count=0;
	
	jQuery("#ul_QuesList").html("");
	if(pullRefreshQues!=null){
		pullRefreshQues.refresh(true);
	}
	getSynQuestionList();
}


//
/**
 * 跳转至学生详情页面
 * @param {Object} stuUserkey
 */
function gotoStuDtl(stuUserkey){
//	$cxMem.pageStuDtlHtml.stuUserkey=stuUserkey;
//	$cxMem.set($cxMem.pageStuDtlHtml);
	mui.openWindow({
	    url:'stu_dtl.html',
	    id:'index_2_stu_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    },
	    extras:{stuKey:stuUserkey}
	})
}

/**
 * 跳转到本人的个人主页
 */
function gotoMyDtl(){
	mui.openWindow({
	    url:'person_dtl.html',
	    id:'index_2_person_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    }
	})
}

//
/**
 * 绑定跳转到 问题详情页面\学生用户详情页面 事件
 */
function bindGotoSubjectDtlEvent(){
	mui("#ul_QuesList").off('tap','a');
	mui("#ul_QuesList").on('tap','a',function(){
		var publisherIdTmp = jQuery(this).attr("userkey_publisher");
		var subjectIdTmp = jQuery(this).attr("subjectId");
		
		if(publisherIdTmp != null && publisherIdTmp != ""){
			//TODO 跳转 到本人的个人主页
			if(currUserkey != null && publisherIdTmp == currUserkey){
				gotoMyDtl();
			}else{
				gotoStuDtl(publisherIdTmp);
			}
		}else if(subjectIdTmp != null && subjectIdTmp != ""){
			gotoSubjectDtl(subjectIdTmp);
		}
	})
}

//
/**
 * 跳转至问题详情页面
 * @param {Object} subjectIdParam
 */
function gotoSubjectDtl(subjectIdParam){
	$cxMem.pageQuesDtlHtml.subjectId=subjectIdParam;
	$cxMem.set($cxMem.pageQuesDtlHtml);
	mui.openWindow({
	    url:'ques_dtl.html',
	    id:'index_2_ques_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    }
	})
//	location.href="page/ques_dtl.html";
}

/**
 * 新增一条提问
 */
function addOneQuestion(){
	if(isEmpty(currUserkey) ||
		!isSignupPermissionOk){
		return;
	}
	var queContent = jQuery.trim(jQuery("#quesArea").val());
	if(queContent == ""){
		mui.toast("问题内容不得为空!");
		return;
	}
	if(contentTmp == queContent){
		return;
	}
	
	jQuery.ajax(ajaxDomainAPI+'addQASubject',{
		data:{
			clientVer: clientVer,
			userkey:currUserkey,
//			userkey:"20150626172635295815",
			content:queContent
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				mui.toast("发表成功！");
				jQuery("#quesArea").val("");
				refresh();
				jQuery("#quesArea").attr("placeholder","提问");
				mui("#edit_ques").popover("hide");
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
			if (netOk) {
				jQuery("#noNetworkReload").show();
				jQuery("#item1mobile").hide();
				jQuery("#item2mobile").hide();
			}
		}
	});
}

/**
 * 刷新列表
 */
function refresh(){
	pageNoQues='1';//问答列表当前页
	count=0;//记录已经加载总记录数，用于上拉加载
	getSynQuestionList();
}

//
/**
 * 绑定消息发送按钮事件
 */
function bindSendEvnt(){
	mui(".mui-bar").off('tap','#a_sendBtn');
	mui(".mui-bar").on('tap','#a_sendBtn',function(){
		addOneQuestion();
	})
}

/**
 * 绑定 提问输入框 点击事件
 */
var thisConfirm;//本页面的 弹窗 对象
function bindConfirmEvent(){
	document.getElementById("quesArea").addEventListener('tap', function() {
			getCurrUserinfo();
		if(isEmpty(currUserinfo)){
			mui("#edit_ques").popover("hide");
  			var btnArray = ['取消','去登录'];
  			thisConfirm = mui.confirm('提问功能需要先登录',' ',btnArray,function(e){
  				var status = e.index;
  				if(status == 1){
      				openWindowDIY('../login.html',true);
  				}
  			},'div');
  		}else if(!isSignupPermissionOk){
  			mui("#edit_ques").popover("hide");
			var btnArray_1 = ['取消','去完善'];
			thisConfirm = mui.confirm('提问需要完善您的个人信息', ' ', btnArray_1, function(e) {
				var status = e.index;
//					console.log(thisConfirm);
				if(status == 0){
//					thisConfirm.close();
				}else{
					mui.openWindow({
						url:"person_edit.html",
						id:"main_2_person_edit",
						styles:{
					      top:'0px',//新页面顶部位置
					      bottom:'0px'//新页面底部位置
					    }
					});
				}
			},'div');
  		}
  		
	});
	
	mui("body").on("tap",".mui-popup-backdrop",function(){
		thisConfirm.close();
	});//绑定点击遮罩触发关闭弹窗事件
}


/**
 * 异步验证用户是否信息已完善
 */
function synChkSignupPermission(){
	jQuery.ajax(ajaxDomainAPI+'chkSignupPermission',{
		data:{
			clientVer: clientVer,
			userkey:currUserkey
		},
		dataType:'text',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			data=jQuery.parseJSON(unescape(data));
			console.log(data);
			if(data.rtnStatus){
				if(data.status == 1){
					isSignupPermissionOk = true;
				}
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
			if (netOk) {
				jQuery("#noNetworkReload").show();
				jQuery("#item1mobile").hide();
				jQuery("#item2mobile").hide();
			}
		}
	});
}

//#####################			问答相关  JS代码块  end          ############################



//首页初始化
function initMain() {
	//首页找院校选项卡上拉加载
	var counselorListDiv = document.getElementById("item1");
	mui(counselorListDiv).pullToRefresh({
		down: {
			callback: function() {
				var self = this;
				jQuery("#counselorList").siblings().hide();
				jQuery("#counselorList").html("");
				jQuery(".main-loading").show();
				setTimeout(function(){
					reLoadCounselorList(self);
					jQuery("#counselorList").siblings().show();
					jQuery(".main-loading").hide();
					jQuery("#noData").hide();
				},1000);
			}
		},
		up: {
			callback: function() {
				var self = this;
				loadCounselorList(self);
			}
		},
	});
	
	jQuery("#item1 .mui-pull-bottom-tips").hide();
	
	setLocalStorageItem("searchInputSearchValue", "");
	setLocalStorageItem("searchCheckedNum", "1");

	//首页初始化
	setTimeout(function(){
		initBannerList();
	},300);
	
	setTimeout(function(){
		locationService();
	},300);
	
	setTimeout(function(){
		initCounselorList();
	},300);
	
	document.getElementById("search").addEventListener('tap', function() {
		openWindowDIY("search.html");
	});
}

function reLoadCounselorList(pullRefresh) {
	var counselorListDiv = document.getElementById("item1");
	counselorPageNo = 1;
	//initBannerList();
	initCounselorList();
	pullRefresh.endPullDownToRefresh();
	mui(counselorListDiv).pullToRefresh().refresh(true);
}

function loadCounselorList(pullRefresh) {
	counselorPageNo = parseInt(counselorPageNo) + parseInt(1);
	initCounselorList(pullRefresh);
}

function initCounselorList(pullRefresh) {
	var userKey = null;
	var userInfo = getUserInfo();
	
	var provincecode = localStorage.getItem('localStorageProvincecode');
	
	if (!isEmpty(userInfo)) {
		userKey = jQuery.parseJSON(userInfo).login_id;
	}

	jQuery.ajax(ajaxDomainAPI + 'getCounselorList', {
		async: true,
		cache: false,
		data: {
			clientVer: clientVer,
			pageNo: counselorPageNo,
			pageSize: counselorPageSize,
			userkey: userKey,
			orderby: "10",
			filterNone: "10",
			provincecode: provincecode
		},
		dataType: 'text',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			var err = data.rtnStatus;
			var msg = data.rtnMsg;
			if (err) {
				var size = data.rows.length;
				var html = "";
				var userImg = "";
				var errorlogo = "../images/default_ava.jpg";
				if (size == 0) {
					if (counselorPageNo == '1') {
						jQuery("#noData").show();
						jQuery("#noData").siblings().hide();
						jQuery("#main-slider-img").show();
					}
				} else {
					jQuery("#noData").hide();
					jQuery("#noData").siblings().show();
					for (var i = 0; i < size; i++) {
						userImg = data.rows[i].userImg;
						if (isEmpty(userImg)) {
							userImg = errorlogo;
						}
						html += '<li class="mui-table-view-cell mui-media">' +
							'<a href="consult_dtl.html?userkeyCounselor=' + data.rows[i].userKey + '">' +
							'<p class="mui-media-object mui-pull-left"><img src="' + userImg + '" ' +
							'onerror=noFindImg("' + errorlogo + '") ></p>' +
							'<div class="mui-media-body text-br"><div class="clear">' +
							'<h4 class="mui-pull-left">' + data.rows[i].userName + '</h4>';

						switch (data.rows[i].integralLevelCode) {
							case '1':
								html += '<h5 class="person_grade"><span><img src="../images/grade_1.png" />普通用户</span></h5>';
								break;
							case '2':
								html += '<h5 class="person_grade"><span><img src="../images/grade_2.png" />升学学士</span></h5>';
								break;
							case '3':
								html += '<h5 class="person_grade"><span><img src="../images/grade_3.png" />升学硕士</span></h5>';
								break;
							case '4':
								html += '<h5 class="person_grade"><span><img src="../images/grade_4.png" />升学博士</span></h5>';
								break;
							case '5':
								html += '<h5 class="person_grade"><span><img src="../images/grade_5.png" />升学专家</span></h5>';
								break;
							case '6':
								html += '<h5 class="person_grade"><span><img src="../images/grade_6.png" />升学高级专家</span></h5>';
								break;
							case '7':
								html += '<h5 class="person_grade"><span><img src="../images/grade_7.png" />升学首席专家</span></h5>';
								break;
							default:
						}

						html += "</div><p class='mui-sch-label'>";
						
						var focusArray = data.rows[i].focus;
						if (!isEmpty(focusArray)) {
							var focus = focusArray.split(",");
							var focusSize = focus.length;
							for (var j = 0; j < focusSize; j++) {
								html += '<span>' + focus[j] + '</span>';
							}
						}

						html += '</p></div></a></li>';
					}

					if (counselorPageNo == '1') {
						jQuery("#counselorList").siblings().show();
						jQuery("#noData").hide();
						jQuery("#counselorList").html(html);
						loadCounselorList(mui(document.getElementById("item1")).pullToRefresh());
					} else {
						jQuery("#counselorList").append(html);
					}
				}

				if (!isEmpty(pullRefresh)) {
					pullRefresh.endPullUpToRefresh(counselorPageSize > size);
				}
			} else {
				jQuery("#noData").show();
				jQuery("#noData").siblings().hide();
				jQuery("#main-slider-img").show();
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
			if (netOk) {
				jQuery("#noNetworkReload").show();
				jQuery("#item1mobile").hide();
				jQuery("#item2mobile").hide();
			}
		}
	});
}

function initBannerList() {
	jQuery.ajax(ajaxDomainAPI + 'banner/qryBannerList', {
		async: true,
		cache: false,
		data: {
			clientVer: clientVer,
			banner_type: 11
		}, //适用平台（10：咨询师版APP，11：学生版APP）
		dataType: 'text',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			var err = data.rtnStatus;
			if (err) {
				var size = data.rows.length;

				var html = "<div class=\"mui-slider-group mui-slider-loop\">" +
					"<div class=\"mui-slider-item mui-slider-item-duplicate\">" +
					"<a data-href=\"" + data.rows[size - 1].wap_url + "\" class=\"tmp\">" +
					"<img src=" + data.rows[size - 1].img_url + "></a></div>";
				for (var i = 0; i < size; i++) {
					html += "<div class=\"mui-slider-item\"><a data-href=\"" + data.rows[i].wap_url + "\" class=\"tmp\">" +
						"<img src=" + data.rows[i].img_url + "></a></div>";
				}
				html += "<div class=\"mui-slider-item mui-slider-item-duplicate\">" +
					"<a data-href=\"" + data.rows[0].wap_url + "\" class=\"tmp\">" +
					"<img src=" + data.rows[0].img_url + "></a></div></div>" +
					"<div class=\"mui-slider-indicator\">";
				for (var i = 0; i < size; i++) {
					if (i == 0) {
						html += "<div class=\"mui-indicator mui-active\"></div>";
					} else {
						html += "<div class=\"mui-indicator\"></div>";
					}
				}
				html += "</div>";

				document.getElementById("main-slider-img").innerHTML = html;
				
				jQuery("#main-slider-img .tmp").bind('tap',function(){
					var dataHref = jQuery(this).attr("data-href");
					console.log("dataHref = "+dataHref);
					if(isNotEmpty(dataHref)){
						openWindowDIY(dataHref);
					} 
					return false;
				});

				//自动轮播图片
				var gallery = mui('#main-slider-img');
				gallery.slider({
					interval: data.interval //自动轮播周期，若为0则不自动播放，默认为0；
				});
			} else {
				console.log(data.rtnMsg);
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
			if (netOk) {
				jQuery("#noNetworkReload").show();
				jQuery("#item1mobile").hide();
				jQuery("#item2mobile").hide();
			}
		}
	});
}

//定位服务
function locationService() {
	var curPosition = "湖北";
	var popoverHtml = '<div class="pop-area"><a class="mui-icon iconfont icon-close closepop" id="closePop"></a>';
	var rtnStatus = true;
	var cityList = ['北京', '上海', '天津', '重庆', '黑龙江', '吉林', '辽宁', '山东', '山西', '陕西', '河北', '河南',
		'湖北', '湖南', '江苏', '江西', '安徽', '浙江', '福建', '广东', '广西', '海南', '云南', '贵州',
		'四川', '西藏', '宁夏', '甘肃', '青海', '内蒙古', '新疆', '香港', '澳门'
	];
	//var positionOK = false;
	
	jQuery.ajax(ajaxDomainAPI + 'ip/getIP', {
		async: false,
		cache: false,
		data: {
			clientVer: clientVer
		},
		dataType: 'json',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			rtnStatus = data["rtnStatus"];
			if (rtnStatus) {
				for (var i = 0, j = 0; i < cityList.length; i++) {
					if (!isEmpty(data["provName"])) {
						if (data["provName"].indexOf(cityList[i]) >= 0) {
							curPosition = cityList[i];
							//positionOK = true;
						}
					}
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log("locationService   type:"+type+"  errorThrown:"+errorThrown+"   xhr:"+JSON.stringify(xhr));
			if (netOk) {
				jQuery("#noNetworkReload").show();
				jQuery("#item1mobile").hide();
				jQuery("#item2mobile").hide();
			}
		}
	});
	
	var provincecode = getGpsProvinceCodeByName(curPosition);
	if (isEmpty(provincecode)) {
		provincecode = "";
	}
	
	localStorage.setItem('localStorageProvincecode', provincecode);
	
	var locateHtml = '<span id="oldCurPosition" class="mui-pull-left">' + curPosition + '</span>';

	locateHtml += '<input type="hidden" id="locateName" value="' + curPosition + '" />' +
				'<input type="hidden" id="locateId" value="' + provincecode + '" />';

	document.getElementById("locate").innerHTML = locateHtml;
	
	popoverHtml += '<h3 id="setCurPosition"><span class="mui-icon iconfont icon-locate"></span>当前定位：' + curPosition + '</h3>';

/*	if (rtnStatus && positionOK) {
		popoverHtml += '<h3 id="setCurPosition"><span class="mui-icon iconfont icon-locate"></span>当前定位：' + curPosition + '</h3>';
	} else {
		popoverHtml += '<h3>定位失败，请选择目标省份</h3>';
	}*/
	
	popoverHtml += '<p id="selectCity"><p>';
	for (var i = 0, j = 0; i < cityList.length; i++) {
		if (cityList[i] == curPosition) {
			popoverHtml += '<span class="cur" id="' + cityList[i] + '">' + cityList[i] + '</span>';
		} else {
			popoverHtml += '<span id="' + cityList[i] + '">' + cityList[i] + '</span>';
		}
		j = i + 1;
		if (j > 0 && j % 5 == 0 && j < cityList.length) {
			popoverHtml += '</p><p>';
		}
	}

	popoverHtml += '</p></p><h5>我们正在努力为更多省份城市提供服务</h5></div>';

	document.getElementById("popover").innerHTML = popoverHtml;

	mui("#popover").on('tap', 'span', function() {
		var locatePosition = document.getElementById("locateName");
		var locatePositionId = document.getElementById("locateId");
		var oldCurPosition = document.getElementById("oldCurPosition");
		var positionId = this.getAttribute("id");

		if (locatePosition.value.indexOf("定位失败") < 0) {
			document.getElementById(locatePosition.value).setAttribute("class", "");
		}
		this.setAttribute("class", "cur");

		oldCurPosition.innerHTML = positionId;
		locatePosition.value = positionId;
		var provincecodeTmp = getGpsProvinceCodeByName(positionId);
		if (isEmpty(provincecodeTmp)) {
			provincecodeTmp = ""
		}
		locatePositionId.value = provincecodeTmp;
		localStorage.setItem('localStorageProvincecode', provincecodeTmp);

		mui("#popover").popover("hide");

		document.getElementById("setCurPosition").innerHTML = '<span class="mui-icon iconfont icon-locate"></span>当前定位：' + positionId;
		counselorPageNo = 1;
		initCounselorList();
	});

	document.getElementById("locate").addEventListener('tap', function() {
		mui("#popover").popover("toggle");
	});

	document.getElementById("closePop").addEventListener('tap', function() {
		mui("#popover").popover("hide");
	});
};

function onNetChange() {
	netOk = true;
	var nt = plus.networkinfo.getCurrentType();
	jQuery("#noNetwork").hide();
	switch ( nt ) {
		case plus.networkinfo.CONNECTION_ETHERNET:
		case plus.networkinfo.CONNECTION_WIFI:
		break; 
		case plus.networkinfo.CONNECTION_CELL2G:
		case plus.networkinfo.CONNECTION_CELL3G:
		case plus.networkinfo.CONNECTION_CELL4G:
		break; 
		default:
		netOk = false;
		console.log("Not networks!"); 
		break;
	}

	if (netOk) {
		if (isReload) {
			plus.webview.currentWebview().reload();
		}
	} else {
		jQuery("#item1mobile").hide();
		jQuery("#item2mobile").hide();
		jQuery("#noNetworkReload").hide();
		jQuery("#noNetwork").show();
		isReload = true;
	}
}
