var userkeyStu="";//从其它页面接受到的 学生用户ID
var pullRefresh;//问题列表上拉加载对象

//用于翻页
var pageNo='1';
var pageSize='20';
var count=0;

//页面一加载完就执行
mui.plusReady(function(){
	var varBean = $cxMem.get($cxMem.pageQuesHtml);
	userkeyStu = varBean.stuUserkey;
//	userkeyStu = "20150626172635295815";
	synGetQuesList();//异步获取ta的所有提问
	bindTapEvent();//绑定页面跳转事件
});

/**
 * 一加载完就执行~~
 */
var isPullUp=false;//是否执行的是上拉加载操作
var isFisrtPullUp=true;//是否第一次执行上拉加载操作
var dataTotal=0;//数据总条数
mui.ready(function(){
	//使 TA的提问  支持 上拉加载
	var itemDiv2 = document.getElementById("div_quesList");
	mui(itemDiv2).pullToRefresh({
		down:{
			
		},
		up:{
			callback: function(){
				pullRefresh = this;
//				synGetQuesList();

				isPullUp=true;
				if(isFisrtPullUp){
					isFisrtPullUp=false;
//					pageNo = 3;
//					pageSize = 10;
				}
				if(count>=dataTotal){
					pullRefresh.endPullUpToRefresh(count>=dataTotal);
				}else{
					synGetQuesList();
				}
			}
		}
	});
	
})

//异步获取 问题 列表数据
function synGetQuesList(){
	jQuery.ajax(ajaxDomainAPI+'qrySelfQAListStu',{
		data:{
			userkey:userkeyStu,
			clientVer: clientVer,
			pageNo:pageNo,
			pageSize:pageSize
		},
		dataType:'json',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				if(data.page.total < 1){
					jQuery("#p_noQues").siblings().hide();
					jQuery("#p_noQues").show();
				}
//				var pageNoTmp = pageNo;
				pageNo=data.page.nextPage;
				dataTotal = data.page.total;
//				if(pageNo==2&&pageNoTmp==pageNo){
//					pageNo++;
//				}
				var rows = data.rows;
				console.log(rows);
				var quesListHtmlStr = getQuesListHtmlStr(rows);
				
				
//				if(pageNo <= 2){
//					pageSize=10;
//					jQuery("#ul_quesList").html(quesListHtmlStr);
//				}else{
//					jQuery("#ul_quesList").append(quesListHtmlStr);
//				}
				if(isPullUp){
					jQuery("#ul_quesList").append(quesListHtmlStr);
				}else{
					jQuery("#ul_quesList").html(quesListHtmlStr);
				}
				if(pullRefresh!=null){
					pullRefresh.endPullUpToRefresh(count>=data.page.total);
				}
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});	
}

//填充 页面数据
function getQuesListHtmlStr(datas){
	var html = "";
	
	for(var ii=0;ii<datas.length;ii++){
		count++;
		var data = datas[ii];
		/**
		 * <li class="mui-table-view-cell mui-media">
				<a href="ques_dtl.html">
					<div class="mui-media-body">
						<h4>高考填报志愿应该注意什么？</h4>
						<p class="ques-view clear"><span class="mui-pull-left">01:30</span><span class=" mui-pull-right"><i class="mui-icon iconfont icon-reply"></i>45</span><span class="mui-pull-right"><i class="mui-icon iconfont icon-eye"></i>1278</span></p>
					
					</div>
				</a>
			</li>
	 */
		
		html += '<li subject_id="'+data.subject_id+'" class="mui-table-view-cell mui-media">';
		html += '<a >';
		html += '<div class="mui-media-body">';
		html += '<h4>'+data.content+'</h4>';
		html += '<p class="ques-view clear"><span class="mui-pull-left">'+data.createtime+'</span><span class=" mui-pull-right" id="span_replyNum_'+data.subject_id+'"><i class="mui-icon iconfont icon-reply"></i>'+data.replyNum+'</span><span class="mui-pull-right" id="span_pv_'+data.subject_id+'"><i class="mui-icon iconfont icon-eye"></i>'+data.pv+'</span></p>'	;

		html +=	'</div>';
		html += '</a>';
		html += '</li>';
	}
	
	return html;
}


//###################################		页面跳转相关   	####################
//跳转到问题详情页面
function gotoQuesDtl(subjectIdParam){
	$cxMem.pageQuesDtlHtml.subjectId=subjectIdParam;
	$cxMem.set($cxMem.pageQuesDtlHtml);
	mui.openWindow({
	    url:'ques_dtl.html',
	    id:'que_2_ques_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    }
	})
}

//给数据列表中各条目绑定TAP事件
function bindTapEvent(){
	mui("#ul_quesList").off('tap','li');
	mui("#ul_quesList").on('tap','li',function(){
//		console.log(jQuery(this).attr("subject_id"));
		var subjectId = jQuery(this).attr("subject_id");
		gotoQuesDtl(subjectId);
	})
}


/**
 * 获取单条 问题 的 回复数，访问数
 * @param {Object} subjectIdParam
 */
function synGetOneSubjectInfo(subjectIdParam){
	console.log("来自问题详情页面的调用传参数：");
	console.log(subjectIdParam);
	jQuery.ajax(ajaxDomainAPI+'qrySubjectPV',{
		data:{
			subject_id:subjectIdParam,
			clientVer: clientVer,
			pageNo:"1",
			pageSize:"1"
		},
		dataType:'json',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				var replyNumTmp = '<i class="mui-icon iconfont icon-reply"></i>' +data.replyNum;
				var pvTmp = '<i class="mui-icon iconfont icon-eye"></i>'+data.pv;
				
				jQuery("#span_replyNum_"+subjectIdParam).html(replyNumTmp);
				jQuery("#span_pv_"+subjectIdParam).html(pvTmp);
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}



