var subjectId ; //提问主题ID
var userkeyPublisher;//提问主题的用户ID
var currUserinfo;//当前登陆用户的信息
//var currUserkey = "20150626172635295815";//当前登陆用户的 ID
var currUserkey="";
var pageNo='1';
var pageSize='20';
var count=0;
var pullRefresh;//回复列表上拉加载对象
var contentTmp = "";//用于防止重复提交回复
var isSignupPermissionOk = false;//是否已完善信息






//
/**
 * 页面一加载完就执行
 */
mui.plusReady(function(){
	//获取上级页面传递过来的 主题ID
	var varBean = $cxMem.get($cxMem.pageQuesDtlHtml);
	subjectId = varBean.subjectId;
//	subjectId = "20160131095539315541";
	
	//获取当前登陆用户的信息
	getCurrUserinfo();

	//获取问题详情数据
	synGetQuesDtl();
	
	bindTapEvent();//所有a标签的点击事件
	
	synChkSignupPermission();//异步验证用户是否完善信息
	bindConfirmEvent();//绑定提问输入框点击事件
	
	
	
});	

/**
 * 获取用户信息
 */
function getCurrUserinfo(){
	//获取当前登陆用户的信息
	var userInfoStr = getUserInfo();
	
	if(!isEmpty(userInfoStr)){
		currUserinfo = jQuery.parseJSON(userInfoStr);
		currUserkey = currUserinfo.login_id;
		console.log("当前登陆用户信息：");
		console.log(currUserinfo);
		
		//绑定新回复发送事件
		bindSendEvnt();
		//绑定长按事件，@某某 功能
		bindLongTapAtEvent();
	}else{
		currUserkey = "";
		currUserinfo = null;
		jQuery("#a_sendBtn").attr("disabled",true);
	}
}

var isPullUp=false;//是否执行的是上拉加载操作
var isFisrtPullUp=true;//是否第一次执行上拉加载操作
var dataTotal=0;//数据总条数
mui.ready(function(){
//	debugger;
	//使 所有回复信息  支持 上拉加载
	var itemDiv2 = document.getElementById("div_replyList");
//	console.log(itemDiv2);
	mui(itemDiv2).pullToRefresh({
		down:{
			
		},
		up:{
			callback: function(){
				pullRefresh = this;
//				synGetQuesDtl();
				
				isPullUp=true;
				if(isFisrtPullUp){
					isFisrtPullUp=false;
//					pageNo=3;
//					pageSize=10;
				}
				if(count>=dataTotal){
					pullRefresh.endPullUpToRefresh(count>=dataTotal);
				}else{
					synGetQuesDtl();
				}
			}
		}
	});
	
})

//################################################		获取回复数据列表部分		###########################################

//异步获取问题详情信息
function synGetQuesDtl(){
	jQuery.ajax(ajaxDomainAPI+'qryQAdetailStu',{
		data:{
			subject_id:subjectId,
			clientVer: clientVer,
			pageNo:pageNo,
			pageSize:pageSize
		},
		dataType:'json',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
//				var pageNoTmp = pageNo;
				pageNo=data.page.nextPage;
				dataTotal=data.page.total;
				if(dataTotal < 1){
					jQuery("#ul_replyList").next().hide();
				}
//				if(pageNo ==2 && pageNo == pageNoTmp){
//					pageNo++;
//				}
				var rows = data.replyRows;
				console.log(rows);
				
				var replyListHtmlStr = getReplyHtmlStr(rows);
//				if(pageNo <= 2){
//					pageSize = 10;
//					fillQuesDtl(data);//填充详情信息
//					jQuery("#ul_replyList").html(replyListHtmlStr);
//				}else{
//					jQuery("#ul_replyList").append(replyListHtmlStr);
//				}
				
//				mui('#div_replyList').pullRefresh().endPullupToRefresh(count>=data.page.total); //参数为true代表没有更多数据了。
				if(isPullUp){
					jQuery("#ul_replyList").append(replyListHtmlStr);
				}else{
					fillQuesDtl(data);//填充详情信息
					jQuery("#ul_replyList").html(replyListHtmlStr);
				}
				splitContent();
				if(pullRefresh!=null){
					pullRefresh.endPullUpToRefresh(count>=data.page.total);
				}
				console.log("当前count的值为："+count);
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}


//填充 问题详情
function fillQuesDtl(data){
	userkeyPublisher = data.userkey_publisher;
	jQuery("#img_publisherPhoto").attr("src",data.studentimg);//设置 问题发布者的头像图片地址
	jQuery("#h_publisherName").text(data.nickname);//设置 问题发布者昵称
	jQuery("#h_publishCreatTime").text(data.createtime);//设置问题发布时间
	jQuery("#h_publisherContent").text(data.contenet);//设置问题详情内容
	var replyNOStr = '<i class="mui-icon iconfont icon-reply"></i>' + data.replyNumAll;
	jQuery("#span_replyNO").html(replyNOStr);//问题的总回复量
	var eyeNOStr = '<i class="mui-icon iconfont icon-eye"></i>'+data.pv;
	jQuery("#span_eyeNO").html(eyeNOStr);//问题被查看的总记录数
	jQuery("#span_replyVisablNO").text("全部回复("+data.replyNumAll+")")//该咨询师可以查看的总回复数
}



//组装 回复列表字符串
function getReplyHtmlStr(datas){
	var html = "";
	
	for(var ii=0;ii<datas.length;ii++){
		count++;
		var data = datas[ii];
		/**
		 * <li class="mui-table-view-cell mui-media">
				<a class="mui-slider-handle mui-pull-left" href="stu_dtl.html"><img class="mui-media-object" src="../images/cbd.jpg"></a>
				<div class="mui-media-body text-br"><a href="#1">
					<h4 class="mui-tit-h4 clear">李中凯</h4>
					<p>虽说知子莫若父，但是家长需明白高考志愿的主体应是考生本人而非家长，大学是要考生本人去读的，而不是家长。</p>
					
					<h6>12:20</h6>
				</a></div>
			</li>
			
			html += '<li class="mui-table-view-cell mui-media" data_userkey="'+data.userkey+'" data_content="'+data.content+'" data_nickname="'+data.nickname+'">';
	 */
		html += '<li class="mui-table-view-cell mui-media" >';
		html += '<a class="mui-slider-handle mui-pull-left" userkey="'+data.userkey+'" usertype="'+data.usertype+'" ><img class="mui-media-object" src="'+data.studentimg+'" onerror="javascript:this.src=\'../images/default_ava.jpg\';"></a>';
		html += '<div class="mui-media-body text-br" data_userkey="'+data.userkey+'" data_content="'+data.content+'" data_nickname="'+data.nickname+'"><a >';
		if(currUserkey != null && currUserkey == data.userkey){
			html += '<h4 class="mui-tit-h4 clear">我';
		}else{
			html += '<h4 class="mui-tit-h4 clear">'+data.nickname;
		}
		if(data.userkey_bereply != null && data.userkey_bereply != ""){
			if(currUserkey != null && currUserkey == data.userkey_bereply){
				html += '  <em>回复</em>  我';
			}else{
				html += '  <em>回复</em>  '+data.bereplyNickName;
			}
		}
		html += '</h4>';
		html += '<p id="p_content_'+data.reply_id+'" dataCont="'+data.content+'" class="p_content">'+data.content+'</p>';
		
		html += '<p class="seeall"><span>展开</span></p>';
		
		html +=	'<h6>'+data.createtimeStr+'</h6>';
		html += '</a></div>';
		html += '</li>';
	}
	
	return html;
}


/**
 * 文本溢出处理
 */
function splitContent(){
	jQuery(".p_content").each(function(){
		var thisP = this;
		splitContentPub(thisP);//文本溢出处理共用方法
	});
	
	mui(".seeall").off("tap","span");
	mui(".seeall").on("tap","span",function(){
//		console.log(this);
		var thisP = jQuery(this).parent().prev();
		var contTmp = jQuery(thisP).attr("dataCont");
		if(jQuery(this).html()=="展开"){
			jQuery(thisP).text(contTmp);
			jQuery(thisP).trigger("destroy");
			jQuery(this).html("收起");
		}else{
			jQuery(this).html("展开");
			splitContentPub(thisP);
		}
	})
}

function splitContentPub(obj){
	var thisP = obj;
	jQuery(obj).dotdotdot({
		ellipsis:'...',
        wrap: 'word', 
        after: null, 
        watch: true,
        height:60,
        callback : function( isTruncated, orgContent ) { 
            if(isTruncated){
              jQuery(thisP).next("p").show();
            }else{
              jQuery(thisP).next("p").hide();
            }
        }
	})
}

//################################################		页面跳转部分		################################################

/**
 * 跳转到 其他学生详情页面
 * @param {Object} userkeyParam
 */
function gotoStuDtl(userkeyParam){
	if(userkeyParam==null || userkeyParam == ""){
		return;
	}
//	$cxMem.pageStuDtlHtml.stuUserkey=userkeyParam;
//	$cxMem.set($cxMem.pageStuDtlHtml);
//	console.log("跳转到学生详情页");
//	location.href="stu_dtl.html";
	mui.openWindow({
	    url:'stu_dtl.html',
	    id:'que_dtl_2_stu_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    },
	    extras:{
	    	stuKey:userkeyParam
	    }
	})
}

/**
 * 跳转到自己的个人主页
 */
function gotoMyDtl(){
	mui.openWindow({
	    url:'person_dtl.html',
	    id:'que_dtl_2_person_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    }
	})
}

/**
 * 跳转到 咨询师 的主页
 * @param {Object} userkeyParam
 */
function gotoTeacherDtl(userkeyParam){
	//consult_dtl.html
	mui.openWindow({
	    url:'consult_dtl.html',
	    id:'que_dtl_2_consult_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    },
	    extras:{
	    	userkeyCounselor:userkeyParam
	    }
	})
}

/**
 * 给 a标签绑定点击事件
 */
function bindTapEvent(){
	//问题发布者头像
	mui(".mui-media").off("tap","#a_stuPublish");
	mui(".mui-media").on("tap","#a_stuPublish",function(){
		if(currUserkey != null && userkeyPublisher == currUserkey){//自己
			gotoMyDtl();
			return;
		}else{
			gotoStuDtl(userkeyPublisher);
			return;
		}
	});
	
	//全部回复列表
	mui("#ul_replyList").off("tap","a");
	mui("#ul_replyList").on("tap","a",function(){
		var userkeyTmp = jQuery(this).attr("userkey");
		var usertypeTmp = jQuery(this).attr("usertype");
		
		if(usertypeTmp == 1){//学生
			if(userkeyTmp == currUserkey){//自己
				gotoMyDtl();
				return;
			}else{
				gotoStuDtl(userkeyTmp);
				return;
			}
		}else if(usertypeTmp == 2){//咨询师
			gotoTeacherDtl(userkeyTmp);
			return;
		}
	})
}

//############################			新增回复消息 部分		#########################

//
/**
 * 新增一条回复
 */
var bereplyuserkey = "";//@对象的用户编码
var content_bereply = '';//@对象 被回复的 内容
function addNewReply(){
	if(!isSignupPermissionOk){
		return;
	}
	var replyContent = jQuery("#replyArea").val();
	if(jQuery.trim(replyContent)==""){
		mui.toast("回复内容不能为空！");
		return;
	}
	if(contentTmp == replyContent){
		return;
	}
	contentTmp = replyContent;
	var userkey = currUserkey;//登录用户编码
//	var userkey = '20151114115600135971';
	var subject_id = subjectId;//主题id
//	var bereplyuserkey = "";//@对象的用户编码
	var content = replyContent;//内容
	var subject_type = '10';//主题_类型（10：常规问答，11：咨询师专栏）
//	var content_bereply = '';//@对象 被回复的 内容
	
	jQuery.ajax(ajaxDomainAPI+'addQAreply',{
		data:{
			clientVer: clientVer,
			userkey:userkey,
			subject_id:subject_id,
			bereplyuserkey:bereplyuserkey,
			content:content,
			subject_type:subject_type,
			content_bereply:content_bereply
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
//				mui.alert("新增回复成功");
				mui.toast("发表成功");
				jQuery("#replyArea").val("").blur();
				refresh();
				jQuery("#replyArea").attr("placeholder","回复：");
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}

/**
 * 刷新
 */
function refresh(){
	pageNo='1';
	pageSize='20';
	count=0;
	isPullUp=false;
	if(pullRefresh!=null){
		pullRefresh.refresh(true);
	}
	synGetQuesDtl();
}

//绑定消息发送按钮事件
function bindSendEvnt(){
	mui(".mui-bar").off('tap','#a_sendBtn');
	mui(".mui-bar").on('tap','#a_sendBtn',function(){
		addNewReply();
	})
}

//绑定 长按 触发@事件
function bindLongTapAtEvent(){
	mui("#ul_replyList").off('tap','div');
	mui("#ul_replyList").on('tap','div',function(){
		bereplyuserkey = jQuery(this).attr("data_userkey");
		if(bereplyuserkey == currUserkey){
			bereplyuserkey="";
			content_bereply="";
			jQuery("#replyArea").attr("placeholder","回复");
			jQuery("#replyArea").blur();
			return;
		}
		content_bereply = jQuery(this).attr("data_content");
		var nickNameBeReply = jQuery(this).attr("data_nickname");		
		jQuery("#replyArea").attr("placeholder","回复："+nickNameBeReply);
		jQuery("#replyArea").focus();
	});
}


//#############################			权限判断部分			############################

/**
 * 绑定 提问输入框 点击事件
 */
var thisConfirm;//本页面的 弹窗 对象
function bindConfirmEvent(){
	document.getElementById("replyArea").addEventListener('tap', function() {
			getCurrUserinfo();
		if(isEmpty(currUserinfo)){
//			jQuery("#replyArea").attr("disabled","disabled");
  			var btnArray = ['取消','去登录'];
  			thisConfirm = mui.confirm('回复功能需要先登录',' ',btnArray,function(e){
  				var status = e.index;
  				if(status == 1){
  					var thisWV = plus.webview.currentWebview();
  					$cxMem.loginHtml.openerId=thisWV.id;//当前页面ID
  					$cxMem.loginHtml.callbackFunctionName="initThisPage";//回调函数名称
  					$cxMem.set($cxMem.loginHtml);
      				openWindowDIY('../login.html',true);
  				}
  			},'div');
  		}else if(!isSignupPermissionOk){
//			jQuery("#replyArea").attr("disabled","disabled");
			var btnArray_1 = ['取消','去完善'];
			thisConfirm = mui.confirm('回复需要完善您的个人信息', ' ', btnArray_1, function(e) {
				var status = e.index;
//					console.log(thisConfirm);
				if(status == 0){
//					thisConfirm.close();
				}else{
					mui.openWindow({
						url:"person_edit.html",
						id:"ques_dtl_2_person_edit",
						styles:{
					      top:'0px',//新页面顶部位置
					      bottom:'0px'//新页面底部位置
					    }
					});
				}
			},'div');
  		}
  		
	});
	
//	mui("body").on("tap",".mui-popup-backdrop",function(){
//		thisConfirm.close();
//	});//绑定点击遮罩触发关闭弹窗事件
}


/**
 * 异步验证用户是否信息已完善
 */
function synChkSignupPermission(){
	jQuery.ajax(ajaxDomainAPI+'chkSignupPermission',{
		data:{
			clientVer: clientVer,
			userkey:currUserkey
		},
		dataType:'text',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			data=jQuery.parseJSON(unescape(data));
			console.log(data);
			if(data.rtnStatus){
				if(data.status != 2){
					isSignupPermissionOk = true;
				}
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}


//###############################		执行创造者页面JS方法		#####################

function exeFatherPageJs(){
	var thisWV = plus.webview.currentWebview();
	var createrWV = thisWV.opener();
	var fatherWV = thisWV.parent();
	
	console.log(thisWV);
	console.log("创造者");
	console.log(createrWV);
	console.log("父窗口");
	console.log(fatherWV);
	if(createrWV!=null){
		createrWV.evalJS("synGetOneSubjectInfo('"+subjectId+"');");
//		createrWV.evalJS("alert('evalJS: '+location.href);");
	}
	
	if(fatherWV!=null){
		fatherWV.evalJS("synGetOneSubjectInfo('"+subjectId+"');");
	}
}

/**
 * 初始化本页面
 */
function initThisPage(){
	//获取当前登陆用户的信息
	getCurrUserinfo();
	//刷新页面数据
	refresh();
}

















