function sendRegMsg(phoneNum){
	jQuery.ajax(ajaxDomainAPI+'sendmessagecode', {
			data: {
				phoneno: phoneNum,
				clientVer: clientVer

			},
			cache: false,
			async: false,
			dataType: 'text', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 3000, //超时时间设置为3秒；
			success: function(data) {
				data = jQuery.parseJSON(unescape(data));
                plus.nativeUI.toast("验证码已发送，请查收");
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log('sendMsg error');
			}
		});
};

// 忘记密码页面的发送短信
function sendPwdUpdateMsg(phoneNum){
	jQuery.ajax(ajaxDomainAPI+'sendmessageforfind', {
			data: {
				phoneno: phoneNum,
				clientVer: clientVer,
				usertype: '1'
			},
			cache: false,
			async: false,
			dataType: 'text', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 3000, //超时时间设置为3秒；
			success: function(data) {
				data = jQuery.parseJSON(unescape(data));
                plus.nativeUI.toast("验证码已发送，请查收");
				
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log('sendMsg error');
			}
		});
};

// 忘记密码页面的验证码校验
function checkPwdUpdateMsg(regInfo,callback){
	jQuery.ajax(ajaxDomainAPI+'checkVerifyCode', {
			data: {
				phoneno: regInfo.account,
				yzcode:regInfo.identcode,
				clientVer: clientVer,
				type: '2'
			},
			cache: false,
			async: false,
			dataType: 'text', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 3000, //超时时间设置为3秒；
			success: function(data) {
				data = jQuery.parseJSON(unescape(data));
//				console.log(data.rtnStatus);
				console.log("sendMsg rtnStatus:" + data.rtnStatus);
				var msg;
				if(!data.rtnStatus){
					msg = '验证码错误';
				} else {
	 				msg = data.rtnMsg;
				}
				return callback(msg);
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log('sendMsg error');
			}
		});
};


// 手机号码是否已经注册
function isPhoneNumReg(phoneNum){
	var retFlg = "";
	jQuery.ajax(ajaxDomainAPI+'register/chkphone', {
			data: { 
				phoneno: phoneNum,
				clientVer: clientVer
			},
			cache: false,
			async: false,
			dataType: 'text', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 3000, //超时时间设置为3秒；
			success: function(data) {
				data = jQuery.parseJSON(unescape(data));
//				console.log(data.rtnStatus);
				console.log(JSON.stringify(data));
				retFlg =  data.rtnMsg;
				
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log('isPhoneNumReg error');		
				retFlg =  "";
			}
		});
		
		return retFlg;
		
};

function userReg(regInfo){
	    var retMsg;
		jQuery.ajax(ajaxDomainAPI+'user/userreg', {
			data: { 
				phoneno:regInfo.account,
				stupassword:regInfo.password,
				identcode:regInfo.identcode,
				usertype:'1',
				applycode:'',
				clientVer: clientVer,
				regchanel:'1'
			},
			cache: false,
			async: false,
			dataType: 'text', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 3000, //超时时间设置为3秒；
			success: function(data) {
			//	data = jQuery.parseJSON(unescape(data));
				console.log(JSON.stringify(data));
				retMsg = data;
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log('isPhoneNumReg error');	
				console.log(xhr.Message);
				console.log(type);	
				retMsg = null;
			}
		});
		return retMsg;
};
function regcheck(regInfo,callback){
	regInfo.account = regInfo.account || '';
	regInfo.password = regInfo.password || '';
	if (regInfo.account.length < 11) {
		return callback('请输入正确手机号码');
	}
	//var reg = /^0?1[3|4|5|8][0-9]\d{8}$/;
	if (!regexPhoneno.test(regInfo.account)) {				   
	     return callback('请填写正确的手机号码');
	};
	if(regInfo.flg == 0){
		if (regInfo.password.length < 6) {
			return callback('请输入6-12位英文数字密码');
		}
	}
	
	return callback();
};

function pwdUpdate(regInfo,callback){
		jQuery.ajax(ajaxDomainAPI+'sendpassword', {
			data: { 
				phoneno:regInfo.account,
				newpassword:regInfo.password,
				clientVer: clientVer
			},
			cache: false,
			async: false,
			dataType: 'text', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 3000, //超时时间设置为3秒；
			success: function(data) {
				data = jQuery.parseJSON(unescape(data));
//				console.log(data.rtnStatus);
//				console.log(data.rtnMsg);
				return callback(data.rtnMsg);
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log('isPhoneNumReg error');		
			}
		});
};

function regButtonShow(){
	var accountInput =  document.getElementById('account');
	var codeInput = document.getElementById('code');
	var passwordInput = document.getElementById('password');
	if(isNotEmpty(accountInput.value) && accountInput.value.length==11 && 
	   isNotEmpty(codeInput.value) && codeInput.value.length == 4 && 
	   isNotEmpty(passwordInput.value) && passwordInput.value.length >=6 && passwordInput.value.length <= 12){
	    jQuery("#reg").attr("disabled",false);
		jQuery("#reg").attr("class","mui-btn mui-btn-block mui-btn-primary"); 
	} else {
		jQuery("#reg").attr("disabled",true);
		jQuery("#reg").attr("class","mui-btn mui-btn-block mui-btn-default");
	}
}

