var pageNo = '1';
var pageSize = '10';
var schoolKey = "";
var result = true;

mui.plusReady(function() {
	var Request = plus.webview.currentWebview();
	schoolKey = Request.schoolKey;
	
	var counselorListDiv = document.getElementById("item1mobile");
	mui(counselorListDiv).pullToRefresh({
		down: {},
		up: {
			callback: function() {
				var self = this;
				loadSchoolCounselorList(self);
			}
		}
	});
	
	initSchoolCounselorList();
	initSchoolInfo();
});

function initSchoolInfo() {
	var userKey = null;
	var userInfo = getUserInfo();
	if (!isEmpty(userInfo)) {
		userKey = jQuery.parseJSON(userInfo).login_id;
	}

	jQuery.ajax(ajaxDomainAPI + 'getSchoolDetailsMobile', {
		async: true,
		cache: false,
		data: {
			schoolkey: schoolKey,
			clientVer: clientVer,
			userkey: userKey
		},
		dataType: 'text',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			var err = data.rtnStatus;
			var msg = data.rtnMsg;
			var item2 = document.getElementById('item2');
			var item3 = document.getElementById('item3');
			var item4 = document.getElementById('item4');

			if (err) {
				/*院校详情*/
				var ggzlogo = data.ggzlogo;
				if (isEmpty(data.ggzlogo)) {
					ggzlogo = "../images/default_logo.png";
				}

				document.getElementById("schoolLogo").src = ggzlogo;
				document.getElementById("schoolLogo").onerror = 'noFindImg("' + ggzlogo + '")';

				var html = "<h4>" + data.schoolname;

				if (data.bzstate == '1' /*&& data.jpstate == '1'*/) {
					html += "<img class=\"label-sure\" src=\"../images/label-sure.png\" >";
				}

				html += "</h4><p class='mui-sch-label'>";

				if (!isEmpty(data.schoolnature)) {
					if (/211/.exec(data.schoolnature)) {
						html += "<span>211</span>";
					}
					if (/985/.exec(data.schoolnature)) {
						html += "<span>985</span>";
					}
					if (/研/.exec(data.schoolnature)) {
						html += "<span>研究生院</span>";
					}
					if (/自/.exec(data.schoolnature)) {
						html += "<span>自主招生</span>";
					}
					if (/国/.exec(data.schoolnature)) {
						html += "<span>国防生</span>";
					}
					if (/卓/.exec(data.schoolnature)) {
						html += "<span>卓越计划</span>";
					}
				}
				html += "</p>";
				document.getElementById("schoolSynopsis").innerHTML = html;

				/*院校简介*/
				var html2 =  data.description ;

				/*招生简章*/
				var html3 = '<h4 class="c-tit"><span class="mui-icon iconfont icon-label">' +
					'</span>报名条件</h4>' + data.bmtj +
					'<h4 class="c-tit"><span class="mui-icon  iconfont icon-process">' +
					'</span>报名流程</h4>' + data.bmlc +
					'<h4 class="c-tit"><span class="mui-icon iconfont icon-money">' +
					'</span>学费标准</h4>' + data.xfbz +
					'<h4 class="c-tit"><span class="mui-icon  iconfont icon-bulb">' +
					'</span>招生特色</h4>' + data.features +
					'<h4 class="c-tit"><span class="mui-icon iconfont icon-briefcase">' +
					'</span>毕业待遇</h4>' + data.bydy;

				/*校园环境*/
				var size = data.campusscenery.length;
				var errorImg = "../images/default_school_bg.png";
				var image_path = "";

				/*页面最上方图片*/
				image_path = data.campusSceneryCover;
				if (isEmpty(image_path)) {
					image_path = errorImg;
				}
				document.getElementById("schoolMap").src = image_path;

				var html4 = "";
				if (size == 0) {
					html4 = '<div class="schImg"><p class="schImg-tit">院校环境<span class="mui-pull-right">0张</span></p></div><p class="no-data" style="padding-top:10%;"><img style="width: 100px;" src="../images/no_img.png" /><span>亲，这个大学木有上传校园环境图片</span></p>';
				} else {
					html4 = '<div class="schImg"><p class="schImg-tit">院校环境<span class="mui-pull-right">' + size + '张</span></p><ul class="schImg-list">';
					for (var i = 0; i < size; i++) {
						image_path = data.campusscenery[i].image_path;
						if (isEmpty(image_path)) {
							image_path = errorImg;
						}
						html4 += '<li><img src="' + image_path + '" data-preview-src="" data-preview-group="1" ' +
							'onerror=noFindImg("' + errorImg + '") /></li>';
					}
					html4 += '</ul></div>';
				}
				
				item2.innerHTML = html2;
				item3.innerHTML = html3;
				item4.innerHTML = html4;
			} else {

			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
		}
	});
}

function loadSchoolCounselorList(pullRefresh) {
	pageNo = parseInt(pageNo) + parseInt(1);
	initSchoolCounselorList(pullRefresh);
}

function getSchoolCounselorList(pullRefresh) {
	jQuery.ajax(ajaxDomainAPI + 'getSchoolCounselorList', {
		async: false,
		cache: false,
		data: {
			schoolkey: schoolKey,
			clientVer: clientVer,
			pageNo: pageNo,
			pageSize: pageSize
		},
		dataType: 'text',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			var err = data.rtnStatus;
			var msg = data.rtnMsg;
			if (err) {
				/*咨询师*/
				var size = data.rows.length;
				var html = "";
				var userImg = "";
				var errorlogo = "../images/default_ava.jpg";
				if (size == 0) {
					if (pageNo == '1') {
						jQuery("#noCounselorData").show();
						jQuery("#recommend").show();
						jQuery("#counselorList").show();
						result = false;
					}
				} else {
					for (var i = 0; i < size; i++) {
						userImg = data.rows[i].studentimg;
						if (isEmpty(userImg)) {
							userImg = errorlogo;
						}
						
						html += '<li class="mui-table-view-cell mui-media">' +
							'<a href="consult_dtl.html?userkeyCounselor=' + data.rows[i].userkey + '">' +
							'<img class="mui-media-object mui-pull-left" src="' + userImg + '" ' +
							'onerror=noFindImg("' + errorlogo + '") >' +
							'<div class="mui-media-body text-br"><div class="clear">' +
							'<h4 class="mui-pull-left">' + data.rows[i].nickname + '</h4>';

						switch (data.rows[i].integralLevelCode) {
							case '1':
								html += '<h5 class="person_grade"><span><img src="../images/grade_1.png" />普通用户</span></h5>';
								break;
							case '2':
								html += '<h5 class="person_grade"><span><img src="../images/grade_2.png" />升学学士</span></h5>';
								break;
							case '3':
								html += '<h5 class="person_grade"><span><img src="../images/grade_3.png" />升学硕士</span></h5>';
								break;
							case '4':
								html += '<h5 class="person_grade"><span><img src="../images/grade_4.png" />升学博士</span></h5>';
								break;
							case '5':
								html += '<h5 class="person_grade"><span><img src="../images/grade_5.png" />升学专家</span></h5>';
								break;
							case '6':
								html += '<h5 class="person_grade"><span><img src="../images/grade_6.png" />升学高级专家</span></h5>';
								break;
							case '7':
								html += '<h5 class="person_grade"><span><img src="../images/grade_7.png" />升学首席专家</span></h5>';
								break;
							default:
						}

						html += "</div><p class='mui-sch-label'>";

						var focusArray = data.rows[i].focus;
						if (!isEmpty(focusArray)) {
							var focus = focusArray.split(",");
							var focusSize = focus.length;
							for (var j = 0; j < focusSize; j++) {
								html += '<span>' + focus[j] + '</span>';
							}
						}

						html += '</p></div></a></li>';
					}

					if (pageNo == '1') {
						jQuery("#noCounselorData").hide();
						jQuery("#recommend").hide();

						jQuery("#counselorList").html(html);
						loadSchoolCounselorList(mui(document.getElementById("item1mobile")).pullToRefresh());
					} else {
						jQuery("#counselorList").append(html);
					}
					
					result = true;
				}
				
				if (!isEmpty(pullRefresh)) {
					pullRefresh.endPullUpToRefresh(pageSize > size);
				}
			} else {
				result = false;
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
		}
	});
}

function initSchoolCounselorList(pullRefresh) {
	if (result) {
		getSchoolCounselorList(pullRefresh);
	}
	
	if (!result) {
		getRecommendCounselorList(pullRefresh);
	}
}

function getRecommendCounselorList(pullRefresh) {
	jQuery.ajax(ajaxDomainAPI + 'getRecommendCounselorList', {
		async: true,
		cache: false,
		data: {
			schoolkey: schoolKey,
			clientVer: clientVer,
			pageNo: pageNo,
			pageSize: pageSize
		},
		dataType: 'text',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			var err = data.rtnStatus;
			var msg = data.rtnMsg;
			if (err) {
				/*咨询师*/
				var size = data.rows.length;
				var html = "";
				var userImg = "";
				var errorlogo = "../images/default_ava.jpg";
				if (size == 0) {
					if (pageNo == '1') {
						jQuery("#noData").siblings().hide();
						jQuery("#noData").show();
					}
				} else {
					for (var i = 0; i < size; i++) {
						userImg = data.rows[i].studentimg;
						if (isEmpty(userImg)) {
							userImg = errorlogo;
						}
						html += '<li class="mui-table-view-cell mui-media">' +
							'<a href="consult_dtl.html?userkeyCounselor=' + data.rows[i].userkey + '">' +
							'<img class="mui-media-object mui-pull-left" src="' + userImg + '" ' +
							'onerror=noFindImg("' + errorlogo + '") >' +
							'<div class="mui-media-body text-br"><div class="clear">' +
							'<h4 class="mui-pull-left">' + data.rows[i].nickname + '</h4>';

						switch (data.rows[i].integralLevelCode) {
							case '1':
								html += '<h5 class="person_grade"><span><img src="../images/grade_1.png" />普通用户</span></h5>';
								break;
							case '2':
								html += '<h5 class="person_grade"><span><img src="../images/grade_2.png" />升学学士</span></h5>';
								break;
							case '3':
								html += '<h5 class="person_grade"><span><img src="../images/grade_3.png" />升学硕士</span></h5>';
								break;
							case '4':
								html += '<h5 class="person_grade"><span><img src="../images/grade_4.png" />升学博士</span></h5>';
								break;
							case '5':
								html += '<h5 class="person_grade"><span><img src="../images/grade_5.png" />升学专家</span></h5>';
								break;
							case '6':
								html += '<h5 class="person_grade"><span><img src="../images/grade_6.png" />升学高级专家</span></h5>';
								break;
							case '7':
								html += '<h5 class="person_grade"><span><img src="../images/grade_7.png" />升学首席专家</span></h5>';
								break;
							default:
						}

						html += "</div><p class='mui-sch-label'>";

						var focusArray = data.rows[i].focus;
						if (!isEmpty(focusArray)) {
							var focus = focusArray.split(",");
							var focusSize = focus.length;
							for (var j = 0; j < focusSize; j++) {
								html += '<span>' + focus[j] + '</span>';
							}
						}

						html += '</p></div></a></li>';
					}

					if (pageNo == '1') {
						jQuery("#counselorList").html(html);
						loadSchoolCounselorList(mui(document.getElementById("item1mobile")).pullToRefresh());
					} else {
						jQuery("#counselorList").append(html);
					}
				}
				
				if (!isEmpty(pullRefresh)) {
					pullRefresh.endPullUpToRefresh(pageSize > size);
				}
			} else {

			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
		}
	});
}

mui("#counselorList").on("tap","a",function(){
	var id=this.getAttribute("href");
	var href=this.href;
	
	openWindowDIY(this.href,true);
});
