var currUserinfo;//当前登陆用户的信息
var currUserkey="";//当前登陆用户的ID
var pageNoItem1=pageNoItem2=pageNoItem3 = "1";
var pageSizeItem1=pageSizeItem2=pageSizeItem3='20';
var count=0;
var pullToRefreshItem1;
var pullToRefreshItem2;
var pullToRefreshItem3;


//页面一加载完就执行
mui.plusReady(function(){
	//获取当前登陆用户的信息
	var userInfoStr = getUserInfo();
	if(!isEmpty(userInfoStr)){
		currUserinfo = jQuery.parseJSON(userInfoStr);
		currUserkey = currUserinfo.login_id;
	}
	
	//异步 获取数据
	getWhoReplyMe();//所有回复我的 列表数据
	getSynWhoSeeMe();//所有看过我的 列表数据
	
	bindTapEventWhoReplyMe();//所有回复我的 条目绑定点击事件
	bindTapEventWhoSeeMe();//所有看过我的 条目绑定点击事件
	
	window.addEventListener('refreshNotice',function(event){
		pageInit();
	});
});	


/**
 * 一加载完就执行~~
 */
var isPullUpItem2=false;//是否执行的是上拉加载操作
var isFisrtPullUpItem2=true;//是否第一次执行上拉加载操作
var dataTotalItem2=0;//数据总条数

var isPullUpItem3=false;//是否执行的是上拉加载操作
var isFisrtPullUpItem3=true;//是否第一次执行上拉加载操作
var dataTotalItem3=0;//数据总条数

var isLastDataItem3=false;//是否为最后一条记录
mui.ready(function(){
	//使 谁回复了我  支持 上拉加载
	var itemDiv2 = document.getElementById("item2");
	mui(itemDiv2).pullToRefresh({
		down:{
			callback: function(){
				var downRefresh = this;
				pageNoItem2='1';
				pageSizeItem2='20';
				count=0;
				
				isPullUpItem2=false;//是否执行的是上拉加载操作
				isFisrtPullUpItem2=true;//是否第一次执行上拉加载操作
				dataTotalItem2=0;//数据总条数
				if(pullToRefreshItem2!=null){
					pullToRefreshItem2.refresh(true);
				}
				setTimeout(function(){
					getWhoReplyMe();
					downRefresh.endPullDownToRefresh();
				},1000);
			}
		},
		up:{
			callback: function(){
				pullToRefreshItem2 = this;
//				getWhoReplyMe();

				isPullUpItem2=true;
				if(isFisrtPullUpItem2){
					isFisrtPullUpItem2=false;
//					pageNoItem2='3';
//					pageSizeItem2='10';
				}
				if(count>=dataTotalItem2){
					pullToRefreshItem2.endPullUpToRefresh(count>=dataTotalItem2);
				}else{
					getWhoReplyMe();
				}
			}
		}
	});
	
	//使 谁看过我 支持 上拉加载
	var itemDiv3 = document.getElementById("item3");
	mui(itemDiv3).pullToRefresh({
		down:{
			callback: function(){
				var refresh = this;
				pageNoItem3='1';
				pageSizeItem3='20';
				
				isPullUpItem3=false;//是否执行的是上拉加载操作
				isFisrtPullUpItem3=true;//是否第一次执行上拉加载操作
				dataTotalItem3=0;//数据总条数
				
				isLastDataItem3=false;//是否为最后一条记录
				if(pullToRefreshItem3!=null){
					pullToRefreshItem3.refresh(true);
				}
				
				setTimeout(function(){
					getSynWhoSeeMe();
					refresh.endPullDownToRefresh();
				},1000);
			}
		},
		up:{
			callback: function(){
				pullToRefreshItem3 = this;
//				getSynWhoSeeMe();

//var isPullUpItem3=false;//是否执行的是上拉加载操作
//var isFisrtPullUpItem3=true;//是否第一次执行上拉加载操作
//var dataTotalItem3=0;//数据总条数
				isPullUpItem3=true;
				if(isFisrtPullUpItem3){
					isFisrtPullUpItem3=false;
//					pageNoItem3='3';
//					pageSizeItem3='10';
				}
				if(isLastDataItem3){
					pullToRefreshItem3.endPullUpToRefresh(isLastDataItem3);
				}else{
					getSynWhoSeeMe();
				}
			}
		}
	});
})


//######################   回复部分  start   ###################################

//异步 谁回复了 我的数据
function getWhoReplyMe(){
	if(currUserinfo == null){
		jQuery("#p_noLogin_item2").show();
		jQuery("#p_noLogin_item2").siblings().hide();
		return;
	}
	jQuery.ajax(ajaxDomainAPI+'qryReplyToMeListStu',{
		data:{
			userkey:currUserkey,
//			userkey:'20150626172635295815',
			clientVer: clientVer,
			pageNo:pageNoItem2,
			pageSize:pageSizeItem2
		},
		dataType:'json',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				var rows = data.rows;
				if(pageNoItem2 == 1 && rows.length<1){
					jQuery("#p_loginNoReply").show();
					jQuery("#p_loginNoReply").siblings().hide();
					return;
				}else{
					jQuery("#p_loginNoReply").hide();
					jQuery("#p_noLogin_item2").hide();
					jQuery("#ul_whoReplyMeList").show();
//					jQuery("#ul_whoReplyMeList").siblings().hide();
				}
//				var pageNoTmp = pageNoItem2;
				pageNoItem2=data.page.nextPage;
				dataTotalItem2 = data.page.total;
//				if(pageNoItem2 == 2 && pageNoItem2 == pageNoTmp){
//					pageSizeItem2="10";
//					pageNoItem2++;
//				}
				var replyListHtmlStr = getListHtmlStr(rows);
//				if(pageNoItem2 <= 2){
//					jQuery("#ul_whoReplyMeList").html(replyListHtmlStr);
//				}else{
//					jQuery("#ul_whoReplyMeList").append(replyListHtmlStr);
//				}

				if(isPullUpItem2){
					jQuery("#ul_whoReplyMeList").append(replyListHtmlStr);
				}else{
					jQuery("#ul_whoReplyMeList").html(replyListHtmlStr);
				}
				if(pullToRefreshItem2!=null){
					pullToRefreshItem2.endPullUpToRefresh(count>=data.page.total);
				}
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}

//获取 填充 谁回复了我 列表的 字符串
function getListHtmlStr(datas){
	var html = "";
	
	for(var ii=0;ii<datas.length;ii++){
		count++;
		var data = datas[ii];
		/**
		 * <li class="mui-table-view">
				<div class="mui-table-view-cell mui-media">
					<a class="mui-pull-left" href="stu_dtl.html"><img class="mui-media-object mr_10" src="../images/cbd.jpg"></a>
					<div class="mui-media-body"><a href="ques_dtl.html">
						<h4 class="mui-tit-h4 clear"><i>张筱雨</i><em>回复 我</em></h4>
						
						<p>高考填报志愿应该注意什么？近年来高考填报学校</p>
						<h5 class="mui-tit-h5">虽说知子莫若父，但是家长需明白高考志愿的主体应是考生本人而非家长，大学是要考生本人去读的，而不是家长。因此，家长应该理性分清自己的愿望和孩子的愿望，不要将自己的意志和价值取向强加给孩子。</h5>
						<h6>01-11 12:26</h6>
					</a></div>
				</div>
			
			</li>
	 */
		html += '<li class="mui-table-view">';
		html += '<div class="mui-table-view-cell mui-media">';
		html += '<a class="mui-pull-left" dataUserkey="'+data.userkey+'" dataUsertype="'+data.usertype+'"><img class="mui-media-object mr_10" src="'+data.studentimg+'" onerror="javascript:this.src=\'../images/default_ava.jpg\';"></a>';
		html += '<div class="mui-media-body"><a dataSubjectId="'+data.subject_id+'" dataSubjectType="'+data.subject_type+'">';
		html += '<h4 class="mui-tit-h4 clear"><i>'+data.nickame+'</i><em>回复 我</em></h4>';
		
		html += '<p>'+data.content+'</p>';
//		if("10" == data.subject_type){
//			html += '<a subjectId="'+data.subject_id+'" ><p class=\'mui-ellipsis\'>'+data.content+'</p>';
//			
//			html += '<h5 class="mui-tit-h5">'+data.myContent+'</h5>';
//		}else{
//			html += '<a shortEssaId="'+data.subject_id+'" ><p class=\'mui-ellipsis\'>'+data.content+'</p>';
//			
//			html += '<h5 class="mui-tit-h5">'+data.subjectContent+'</h5>';
//		}
		if(data.myContent == null || jQuery.trim(data.myContent) == ""){
			html += '<h5 class="mui-tit-h5">'+data.subjectContent+'</h5>';
		}else{
			html += '<h5 class="mui-tit-h5">'+data.myContent+'</h5>';
		}
		html += '<h6>'+data.createtime+'</h6>';
		html += '</a></div>';
		html += '</div>';
		html += '</li>';
	}
	
	return html;
}





//######################   回复部分  end   ###################################

//######################   看过我部分  start   ###################################

//异步获取谁 看过 我  数据
function getSynWhoSeeMe(){
	if(currUserinfo == null){
		jQuery("#p_noLogin_item3").show();
		jQuery("#p_noLogin_item3").siblings().hide();
		return;
	}
	jQuery.ajax(ajaxDomainAPI+'qryRecentVisitor',{
		data:{
			userkey:currUserkey,
//			userkey:'20150626172635295815',
			clientVer: clientVer,
			pageNo:pageNoItem3,
			pageSize:pageSizeItem3
		},
		dataType:'text',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			data = jQuery.parseJSON(unescape(data));
			if(data.rtnStatus){
				var rows = data.rows;
				if(pageNoItem3 == 1 && rows.length<1){
					jQuery("#p_loginNoBeSee").show();
					jQuery("#p_loginNoBeSee").siblings().hide();
					return;
				}else{
					jQuery("#p_noLogin_item3").hide();
					jQuery("#p_loginNoBeSee").hide();
//					jQuery("#ul_whoSeeMeList").siblings().hide();
					jQuery("#ul_whoSeeMeList").show();
				}
				pageNoItem3++;
//				pageSizeItem3="2";
				console.log(rows);
//				var isLastItem = false;//是否为最后一条数据
				if(rows.length < pageSizeItem3){
					isLastDataItem3 = true;
				}
				
				var whoSeeMeHtmlStr = getWhoSeeMeHtmlStr(rows);
//				if(pageNoItem3 <= 2){
//					jQuery("#ul_whoSeeMeList").html(whoSeeMeHtmlStr);
//				}else{
//					jQuery("#ul_whoSeeMeList").append(whoSeeMeHtmlStr);
//				}
				
				if(isPullUpItem3){
					jQuery("#ul_whoSeeMeList").append(whoSeeMeHtmlStr);
				}else{
					jQuery("#ul_whoSeeMeList").html(whoSeeMeHtmlStr);
				}
				if(pullToRefreshItem3!=null){
					pullToRefreshItem3.endPullUpToRefresh(isLastDataItem3);
				}
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
//			console.log(type);
		}
	});
}

//获取 谁看过我 列表 HTML 字符串
function getWhoSeeMeHtmlStr(datas){
	var html = "";
	var isFreshParentWV = false;
	
	for(var ii=0;ii<datas.length;ii++){
		var data = datas[ii];
		/**
		 * <li class="mui-table-view-cell mui-media">
				<a class="mui-slider-handle tip-circle" href="stu_dtl.html">
					<p class="mui-media-object mui-pull-left"><img src="../images/ava.jpg"></p>
					<div class="mui-media-body">
						<h4 class="mui-tit-h4 clear">张筱雨<span>12:20</span></h4>
						
						<p class='mui-ellipsis'>烤炉模式的城，到黄昏，如同打翻的调色盘一般.</p>
					</div>
				</a>
			</li>
	 */
		html += '<li class="mui-table-view-cell mui-media">';
		if(data.readStatus == "10"){
			html += '<a class="mui-slider-handle tip-circle" dataUsertype="'+data.usertype+'" userkey_visitor="'+data.userkey_visitor+'" >';
			if(!isFreshParentWV){
				reloadParentWV();
			}
			isFreshParentWV = true;
		}else{
			html += '<a class="mui-slider-handle" dataUsertype="'+data.usertype+'" userkey_visitor="'+data.userkey_visitor+'" >';
		}
		html += '<p class="mui-media-object mui-pull-left"><img src="'+data.studentimg+'" onerror="javascript:this.src=\'../images/default_ava.jpg\';"></p>';
		html += '<div class="mui-media-body">';
		var visitTimeTmp = data.visittime.replace("+"," ");
		html += '<h4 class="mui-tit-h4 clear">'+data.nickname+'<span>'+visitTimeTmp+'</span></h4>';
		
		if(data.usertype == "1"){//学生
			if(isEmpty(data.stuQASubject)){
				html += '<p class=\'mui-ellipsis\'>'+""+'</p>';
			}else{
				html += '<p class=\'mui-ellipsis\'>'+data.stuQASubject+'</p>';
			}
		}else{
			if(isEmpty(data.integralLevelName)){
				html += '<p class=\'mui-ellipsis\'>'+""+'</p>';
			}else{
				html += '<p class=\'mui-ellipsis\'>'+data.integralLevelName+'</p>';
			}
		}
		
		html += '</div>';
		html += '</a>';
		html += '</li>';
	}
	
	return html;
}

/**
 * 刷新父页面
 */
function reloadParentWV(){
	//获取webview
	var thisWV = plus.webview.currentWebview();
	var createrWV = thisWV.opened();
	var fatherWV = thisWV.parent();
//	console.log(thisWV);
//	console.log("创造者");
//	console.log(createrWV);
//	console.log("父窗口");
//	console.log(fatherWV);
	fatherWV.evalJS("addTip();");
}

//######################   看过我部分  end   ###################################

//######################		页面跳转  start  #############################
/**
 * 跳转到咨询师详情页面
 * @param {Object} teachUserkeyParam
 */
function gotoTeacherDtl(teachUserkeyParam){
	mui.openWindow({
	    url:'consult_dtl.html',
	    id:'notice_2_consult_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    },
	    extras:{userkeyCounselor:teachUserkeyParam}
	})
}

/**
 * 跳转到学生详情页面
 * @param {Object} stuUserkeyParam
 */
function gotoStuDtl(stuUserkeyParam){
//	$cxMem.pageStuDtlHtml.stuUserkey = stuUserkeyParam;
//	$cxMem.set($cxMem.pageStuDtlHtml);
	mui.openWindow({
	    url:'stu_dtl.html',
	    id:'notice_2_stu_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    },
	    extras:{stuKey:stuUserkeyParam}
	})
}

/**
 * 跳转到问题详情页面
 * @param {Object} subjectIdParam
 */
function gotoQueDtl(subjectIdParam){
	$cxMem.pageQuesDtlHtml.subjectId=subjectIdParam;
	$cxMem.set($cxMem.pageQuesDtlHtml);
	mui.openWindow({
	    url:'ques_dtl.html',
	    id:'notice_2_ques_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    }
	})
}

/**
 * 跳转到专栏详情页面
 * @param {Object} essaIdParam
 */
function gotoShortEssaDtl(essaIdParam){
	$cxMem.personArticleDtlHtml.idName=essaIdParam;
	$cxMem.set($cxMem.personArticleDtlHtml);
	mui.openWindow({
	    url:'person_article_dtl.html',
	    id:'notice_2_person_article_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    }
	})
}

/**
 * 跳转到登陆页面
 */
function gotoLoginPage(){
	mui.openWindow({
	    url:'../login.html',
	    id:'notice_2_login',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    }
	})
}

/**
 * 回复我  列表数据 绑定 点击跳转事件
 */
function bindTapEventWhoReplyMe(){
	mui("#ul_whoReplyMeList").off("tap","a");
	mui("#ul_whoReplyMeList").on("tap","a",function(){
		var userkeyTmp = jQuery(this).attr("dataUserkey");
		var userTypeTmp = jQuery(this).attr("dataUsertype");
		var subjectIdTmp = jQuery(this).attr("dataSubjectId");
		var subjectTypeTmp = jQuery(this).attr("dataSubjectType");
		
		if(userkeyTmp != null && userkeyTmp != ""){
			if(userTypeTmp == "1"){//学生
				gotoStuDtl(userkeyTmp);
				return;
			}else if(userTypeTmp == "2"){//咨询师
				gotoTeacherDtl(userkeyTmp);
				return;
			}
		}else if(subjectIdTmp != null && subjectIdTmp != ""){
			if(subjectTypeTmp == 10){//10：常规问答
				gotoQueDtl(subjectIdTmp);
				return;
			}else if(subjectTypeTmp == 11){// 专栏
				gotoShortEssaDtl(subjectIdTmp);
				return;
			}
		}
	})
	
	//跳转到登陆页面
	mui("#p_noLogin_item2").off("tap","a");
	mui("#p_noLogin_item2").on("tap","a",function(){
		gotoLoginPage();
	})
}

/**
 * 谁看过 我  各数据条目绑定点击跳转事件
 */
function bindTapEventWhoSeeMe(){
	//userkey_visitor
	mui("#ul_whoSeeMeList").off("tap","a");
	mui("#ul_whoSeeMeList").on("tap","a",function(){
		var userkeyTmp = jQuery(this).attr("userkey_visitor");
		var userTypeTmp = jQuery(this).attr("dataUsertype");
//		console.log(this);
		jQuery(this).removeClass("tip-circle");
		if(userTypeTmp == "1"){//学生
			gotoStuDtl(userkeyTmp);
			return;
		}else if(userTypeTmp == "2"){//咨询师
			gotoTeacherDtl(userkeyTmp);
			return;
		}
	});
	
	//跳转到登陆页面
	mui("#p_noLogin_item3").off("tap","a");
	mui("#p_noLogin_item3").on("tap","a",function(){
		gotoLoginPage();
	})
}

function pageInit(){
	//获取当前登陆用户的信息
	var userInfoStr = getUserInfo();
	if(!isEmpty(userInfoStr)){
		currUserinfo = jQuery.parseJSON(userInfoStr);
		currUserkey = currUserinfo.login_id;
	}else {
		currUserinfo = null;
	}
	
	//异步 获取数据
	pageNoItem1=pageNoItem2=pageNoItem3 = "1";
	pageSizeItem1=pageSizeItem2=pageSizeItem3='20';
	isPullUpItem2=false;
	isPullUpItem3=false;
	 count=0;
	 if(pullToRefreshItem2!=null){
		pullToRefreshItem2.refresh(true);
	}
	 if(pullToRefreshItem3!=null){
		pullToRefreshItem3.refresh(true);
	}
	getWhoReplyMe();//所有回复我的 列表数据
	getSynWhoSeeMe();//所有看过我的 列表数据
}

//######################		页面跳转  end  #############################


