var pullRefresh;//问题列表上拉加载对象

var currUserinfo;//当前登陆用户的信息
var currUserkey;//当前登陆用户的 ID

var isSignupPermissionOk = false;//是否已完善信息

//用于翻页
var pageNo='1';
var pageSize='20';
var count=0;

var contentTmp ="";

//页面一加载完就执行
mui.plusReady(function(){
//	currUserkey = "20150626172635295815";
	getCurrUserinfo();
	synGetQuesList();
	
	bindSendEvnt();//绑定新增一条问题的发送点击事件
	bindTapEvent();//绑定跳转事件
	
	synChkSignupPermission();//验证是否已完善信息
	bindConfirmEvent();//绑定 新增一条提问 输入框点击事件
	bindLongTapEvent();//绑定长按问题，弹窗
});

/**
 * 获取用户信息
 */
function getCurrUserinfo(){
	//获取当前登陆用户的信息
	var userInfoStr = getUserInfo();
	
	if(!isEmpty(userInfoStr)){
		currUserinfo = jQuery.parseJSON(userInfoStr);
		currUserkey = currUserinfo.login_id;
		console.log("当前登陆用户信息：");
		console.log(currUserinfo);
	}else{
		currUserkey = "";
		currUserinfo = null;
		jQuery("#a_sendBtn").attr("disabled",true);
	}
}

/**
 * 一加载完就执行~~
 */
var isPullUp=false;//是否执行的是上拉加载操作
var isFisrtPullUp=true;//是否第一次执行上拉加载操作
var dataTotal=0;//数据总条数
mui.ready(function(){
	//使 谁回复了我  支持 上拉加载
	var itemDiv2 = document.getElementById("div_quesList");
	mui(itemDiv2).pullToRefresh({
		down:{
			
		},
		up:{
			callback: function(){
				pullRefresh = this;
//				synGetQuesList();

				isPullUp =true;
				if(isFisrtPullUp){
					isFisrtPullUp = false;
//					pageNo = 3;
//					pageSize = 10;
				}
				if(count>=dataTotal){
					pullRefresh.endPullUpToRefresh(count>=dataTotal);
				}else{
					synGetQuesList();
				}
			}
		}
	});
	
})

//异步获取 问题 列表数据
function synGetQuesList(){
	jQuery.ajax(ajaxDomainAPI+'qrySelfQAListStu',{
		data:{
			userkey:currUserkey,
			clientVer: clientVer,
			pageNo:pageNo,
			pageSize:pageSize
		},
		dataType:'json',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				if(data.page.total < 1){
					jQuery("#p_noQues").next().next().next().hide();
					jQuery("#p_noQues").next().hide();
					jQuery("#p_noQues").show();
				}else{
					jQuery("#p_noQues").hide();
					jQuery("#p_noQues").siblings().show();
				}
//				var pageNoTmp = pageNo;
				pageNo=data.page.nextPage;
				dataTotal = data.page.total;
//				if(pageNo==2&&pageNoTmp==pageNo){
//					pageNo++;
//				}
				var rows = data.rows;
				console.log(rows);
				var quesListHtmlStr = getQuesListHtmlStr(rows);
				
				
//				if(pageNo <= 2){
//					pageSize=10;
//					jQuery("#ul_quesList").html(quesListHtmlStr);
//				}else{
//					jQuery("#ul_quesList").append(quesListHtmlStr);
//				}
				if(isPullUp){
					jQuery("#ul_quesList").append(quesListHtmlStr);
				}else{
					jQuery("#ul_quesList").html(quesListHtmlStr);
				}
				if(pullRefresh!=null){
					pullRefresh.endPullUpToRefresh(count>=dataTotal);
				}
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});	
}

//填充 页面数据
function getQuesListHtmlStr(datas){
	var html = "";
	
	for(var ii=0;ii<datas.length;ii++){
		count++;
		var data = datas[ii];
		/**
		 * <li class="mui-table-view-cell mui-media">
				<a href="ques_dtl.html">
					<div class="mui-media-body">
						<h4>高考填报志愿应该注意什么？</h4>
						<p class="ques-view clear"><span class="mui-pull-left">01:30</span><span class=" mui-pull-right"><i class="mui-icon iconfont icon-reply"></i>45</span><span class="mui-pull-right"><i class="mui-icon iconfont icon-eye"></i>1278</span></p>
					
					</div>
				</a>
				<div class="action-pop"><span>删除问题</span></div>
			</li>
	 */
		
		html += '<li subject_id="'+data.subject_id+'" class="mui-table-view-cell mui-media">';
		html += '<a >';
		html += '<div class="mui-media-body">';
		html += '<h4>'+data.content+'</h4>';
		html += '<p class="ques-view clear"><span class="mui-pull-left">'+data.createtime+'</span><span class=" mui-pull-right" id="span_replyNum_'+data.subject_id+'"><i class="mui-icon iconfont icon-reply"></i>'+data.replyNum+'</span><span class="mui-pull-right" id="span_pv_'+data.subject_id+'"><i class="mui-icon iconfont icon-eye"></i>'+data.pv+'</span></p>'	;

		html +=	'</div>';
		html += '</a>';
		html += '<div class="action-pop"><span>删除问题</span></div>';
		html += '</li>';
	}
	
	return html;
}


//####################		新增一条提问部分			###############################

/**
 * 新增一条提问
 */
function addOneQuestion(){
	var queContent = jQuery.trim(jQuery("#quesArea").val());
	if(queContent == ""){
		mui.toast("问题内容不得为空!");
		return;
	}
	if(contentTmp == queContent){
		return;
	}
	
	jQuery.ajax(ajaxDomainAPI+'addQASubject',{
		data:{
			clientVer: clientVer,
			userkey:currUserkey,
			content:queContent
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				mui.toast("发表成功！");
				jQuery("#quesArea").val("");
				refresh();//刷新本页面
				var mainHtmlWV = plus.webview.getWebviewById("page/main.html");
				if(mainHtmlWV!=null){
					mainHtmlWV.evalJS("refresh()");
				}
				jQuery("#quesArea").attr("placeholder","提问");
				mui("#edit_ques").popover("hide");
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}

/**
 * 刷新列表
 */
function refresh(){
	pageNo='1';//问答列表当前页
	count=0;//记录已经加载总记录数，用于上拉加载
	isPullUp=false;//是否执行的是上拉加载操作
	pageSize='20';
	if(pullRefresh!=null){
		pullRefresh.refresh(true);
	}
	synGetQuesList();
}



//
/**
 * 绑定消息发送按钮事件
 */
function bindSendEvnt(){
	mui(".mui-bar").off('tap','#a_sendBtn');
	mui(".mui-bar").on('tap','#a_sendBtn',function(){
		addOneQuestion();
	})
}




//###################################		页面跳转相关   	####################
//跳转到问题详情页面
function gotoQuesDtl(subjectIdParam){
	$cxMem.pageQuesDtlHtml.subjectId=subjectIdParam;
	$cxMem.set($cxMem.pageQuesDtlHtml);
	mui.openWindow({
	    url:'ques_dtl.html',
	    id:'person_que_2_ques_dtl',
	    styles:{
	      top:'0px',//新页面顶部位置
	      bottom:'0px'//新页面底部位置
	    }
	})
}

//给数据列表中各条目绑定TAP事件
function bindTapEvent(){
	mui("#ul_quesList").off('tap','li');
	mui("#ul_quesList").on('tap','li',function(){
//		console.log(jQuery(this).attr("subject_id"));
		var subjectId = jQuery(this).attr("subject_id");
		gotoQuesDtl(subjectId);
	})
}



//################################		是否登陆、是否完善信息		##########################


/**
 * 绑定 提问输入框 点击事件
 */
var thisConfirm;//本页面的 弹窗 对象
function bindConfirmEvent(){
	document.getElementById("quesArea").addEventListener('tap', function() {
			getCurrUserinfo();
		if(isEmpty(currUserinfo)){
			mui("#edit_ques").popover("hide");
  			var btnArray = ['取消','去登录'];
  			thisConfirm = mui.confirm('提问功能需要先登录',' ',btnArray,function(e){
  				var status = e.index;
  				if(status == 1){
      				openWindowDIY('../login.html',true);
  				}
  			},'div');
  		}else if(!isSignupPermissionOk){
			mui("#edit_ques").popover("hide");
			var btnArray_1 = ['取消','去完善'];
			thisConfirm = mui.confirm('提问需要完善您的个人信息', ' ', btnArray_1, function(e) {
				var status = e.index;
//					console.log(thisConfirm);
				if(status == 0){
//					thisConfirm.close();
				}else{
					mui.openWindow({
						url:"person_edit.html",
						id:"main_2_person_edit",
						styles:{
					      top:'0px',//新页面顶部位置
					      bottom:'0px'//新页面底部位置
					    }
					});
				}
			},'div');
  		}
  		
	});
	
	mui("body").on("tap",".mui-popup-backdrop",function(){
		thisConfirm.close();
	});//绑定点击遮罩触发关闭弹窗事件
}


/**
 * 异步验证用户是否信息已完善
 */
function synChkSignupPermission(){
	jQuery.ajax(ajaxDomainAPI+'chkSignupPermission',{
		data:{
			clientVer: clientVer,
			userkey:currUserkey
		},
		dataType:'text',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			data=jQuery.parseJSON(unescape(data));
			console.log("信息完善状态");
			console.log(data);
			if(data.rtnStatus){
				if(data.status == 1){
					isSignupPermissionOk = true;
				}
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}


//############################		删除操作			#############################

/**
 * 给各条目绑定长按事件，弹窗 删除按钮
 */
function bindLongTapEvent(){
	mui(".mui-table-view").on('longtap','.mui-table-view-cell',function(){
		console.log(jQuery(this));
		jQuery(".action-pop").hide();
	    var actionPop = jQuery(this).children(".action-pop");
	    //给个条目暂时绑定点击就取消“删除问题”按钮
    	mui("#ul_quesList").off('tap','li');
    	mui("#ul_quesList").on("tap","li",function(){
    		actionPop.hide();
    		bindTapEvent();//重新绑定点击跳转事件
    	})
	    actionPop.show();
	    actionPop.on("tap",function(){
//	    	mui.alert(jQuery(this).parent().attr("subject_id"));
//	    	jQuery(this).parent().hide();
			synDeleteOneQues(jQuery(this).parent());
	    })
	})
}

/**
 * 异步删除一条问题
 * @param {Object} obj
 */
function synDeleteOneQues(obj){
//	console.log(obj);
	var subjectId = jQuery(obj).attr("subject_id");
	if(isEmpty(subjectId) ||
		isEmpty(currUserkey)){
		return;
	}
//	mui.alert(subjectId);
//	jQuery(obj).hide();	

	jQuery.ajax(ajaxDomainAPI+'delMyQA',{
		data:{
			clientVer: clientVer,
			userkey:currUserkey,
			subject_id:subjectId
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				mui.toast("删除成功！");
				jQuery(obj).hide();
				bindTapEvent();
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}


/**
 * 获取单条 问题 的 回复数，访问数
 * @param {Object} subjectIdParam
 */
function synGetOneSubjectInfo(subjectIdParam){
	console.log("来自问题详情页面的调用传参数：");
	console.log(subjectIdParam);
	jQuery.ajax(ajaxDomainAPI+'qrySubjectPV',{
		data:{
			subject_id:subjectIdParam,
			clientVer: clientVer,
			pageNo:"1",
			pageSize:"1"
		},
		dataType:'json',//服务器返回json格式数据
		type:'get',//HTTP请求类型
		success:function(data){
			//获得服务器响应
			console.log(data);
			if(data.rtnStatus){
				var replyNumTmp = '<i class="mui-icon iconfont icon-reply"></i>' +data.replyNum;
				var pvTmp = '<i class="mui-icon iconfont icon-eye"></i>'+data.pv;
				
				jQuery("#span_replyNum_"+subjectIdParam).html(replyNumTmp);
				jQuery("#span_pv_"+subjectIdParam).html(pvTmp);
			}
		},
		error:function(xhr,type,errorThrown){
			//异常处理；
			console.log(type);
		}
	});
}














