var signedPageNo = '1';
var pageSize = '10';
var userKey = "";

mui.plusReady(function() {
	//isLogin();

	//userKey = self.userkeyCounselor;
	var self = plus.webview.currentWebview();
	userKey  = self.tecKey;

	var signedDiv = document.getElementById("signed");
	pullRefreshDIY();
	initSignedList();
	
	
});

function pullRefreshDIY() {
	var signedDiv = document.getElementById("signed");
	mui(signedDiv).pullToRefresh({
		down: {},
		up: {
			callback: function() {
				var self = this;
				loadSignedList(self);
			}
		}
	});

}

function loadSignedList(pullRefresh) {
	signedPageNo = parseInt(signedPageNo) + parseInt(1);
	initSignedList(pullRefresh);
}


function initSignedList(pullRefresh) {
	jQuery.ajax(ajaxDomainAPI + 'qrySignupSchoolList', {
		async: false,
		cache: false,
		data: {
			signupstatus: '11',
			clientVer: clientVer,
			pageNo: signedPageNo,
			pageSize: pageSize,
			filterEffective: '11', //空或10：不过滤，11：过滤（只显示简章状态有效、助学卡未到期，学校信息未删除的信息）
			userkey: userKey
		},
		dataType: 'text',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			var err = data.rtnStatus;
			var msg = data.rtnMsg;
			if (err) {
				var size = data.rows.length;
				if (size == 0) {
					if (signedPageNo == '1') {
						document.getElementById("signed").innerHTML = getNoHtml('暂无签约院校');
					}
				} else {
					if (signedPageNo == '1') {
						jQuery("#signedUL").html(getHtml(data));
						loadSignedList(mui(document.getElementById("signed")).pullToRefresh());
					} else {
						jQuery("#signedUL").append(getHtml(data));
					}
				}
				if (!isEmpty(pullRefresh)) {
					pullRefresh.endPullUpToRefresh(pageSize > size);
				}
			} else {
				document.getElementById("signed").innerHTML = getNoHtml('暂无签约院校');
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
			document.getElementById("signed").innerHTML = getNoHtml('暂无签约院校');
		}
	});
}



function getNoHtml(message) {
	return '<p class="no-data border-t"><img src="../images/no_sch.png" /><span>' + message + '</span></p>';
}

function getHtml(data) {
	var size = data.rows.length;
	var html = "";
	var ggzlogo = "";
	var errorlogo = "../images/default_logo.png";
	for (var i = 0; i < size; i++) {
		ggzlogo = data.rows[i].ggzlogo;
		if (isEmpty(ggzlogo)) {
			ggzlogo = errorlogo;
		}
		html += '<li class="mui-table-view-cell mui-media">' +
			'<a href="school.html?schoolKey=' + data.rows[i].schoolkey + '">' +
			'<img class="mui-media-object mui-pull-left" src="' + ggzlogo + '" ' +
			'onerror=noFindImg("' + errorlogo + '") >' +
			'<div class="mui-media-body nopadding text-br"><h4>' + data.rows[i].schoolname;
		if (data.rows[i].bzstate == '1' /*&& data.rows[i].jpstate == '1'*/) {
			html += '<img class=\"label-sure\" src=\"../images/label-sure.png\" >';
		}

		html += "</h4><p class='mui-sch-label'>";
		if (data.rows[i].bzstate == '1' /*&& data.rows[i].jpstate == '1'*/) {
			html += '<span>保障</span>';
		}
		if (!isEmpty(data.rows[i].schoolnature)) {
			if (/211/.exec(data.rows[i].schoolnature)) {
				html += "<span>211</span>";
			}
			if (/985/.exec(data.rows[i].schoolnature)) {
				html += "<span>985</span>";
			}
			if (/研/.exec(data.rows[i].schoolnature)) {
				html += "<span>研究生院</span>";
			}
			if (/自/.exec(data.rows[i].schoolnature)) {
				html += "<span>自主招生</span>";
			}
			if (/国/.exec(data.rows[i].schoolnature)) {
				html += "<span>国防生</span>";
			}
			if (/卓/.exec(data.rows[i].schoolnature)) {
				html += "<span>卓越计划</span>";
			}
		}
		html += "</p></div></a></li>";
	}
	return html;
}