var imgPath;
function appendFile(path){
	
	console.log(path);//真实路径
	if(path.indexOf("file://") < 0){
	    path = "file://"+imgPath;
	} 

    //保存到相册
    var _img_ = new Image();
    _img_.src = path; // 传过来的图片路径在这里用。
    _img_.onload = function() {
        var that = this;
//      console.log("wh = " + that.width + "," + that.height);
        //生成比例   
        var w = that.width,
            h = that.height,
            scale = w / h;
        w = 480 || w; //480  你想压缩到多大，改这里
        h = w / scale;
        console.log("wh = " + w + "," + h);
        //生成canvas
        var canvas = document.createElement('canvas');
        var ctx = canvas.getContext('2d');
        canvas.width = w; 
        canvas.height = h;
        $(canvas).attr({width : 500, height : 500});
        ctx.drawImage(that, 0, 0, 500, 500);
        var base64 = canvas.toDataURL('image/jpeg', 1 || 0.8); //1最清晰，越低越模糊。
//      console.log("base64:"+base64);
        jQuery("#headImg").attr("src",base64);
     };
     
     
};

function check(t,callback){
	var nickNameBox = document.getElementById('nickName').value; 
	// 昵称
	if(isEmpty(nickNameBox)){
		return callback("昵称不能为空");
	}
	// 性别
	if(jQuery(".person-sex span.cur").length < 1){
		return callback("请选择性别");
	}
	// 位置
	if(isEmpty(document.getElementById("locateId").value)){
		return callback("请选择所在省份");
	}
	if(jQuery(".goodarea span.cur").length > 5){
		plus.nativeUI.toast("亲，只能选择5个标签哦");
		return;
	}
	
	return callback();
};

function updateStudentInfo(userkey){

	var paramHobby = "";
	var retData;
	for(var i=0;i<jQuery(".goodarea span.cur").length;i++){
		paramHobby = paramHobby + jQuery(".goodarea span.cur")[i].textContent + ",";
	}
	var gkfsBox = document.getElementById('gkfs');
    console.log("updateStudentInfo clientVer:" +clientVer);
    console.log("kfsBox.value:" +gkfsBox.value);
	mui.ajax(ajaxDomainAPI+'updateStudentInfo', {
		data: { 
			userkey:userkey,
			nickname:document.getElementById('nickName').value,
			studentsex:jQuery(".person-sex span.cur").attr("data-code"),
			locationProvince:document.getElementById("locateId").value,
			gkfs:gkfsBox.value,
			clientVer: clientVer,
			hobby:paramHobby.substr(0,paramHobby.length-1)
		},
		cache: false,
		async: false,
		dataType: 'txt', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 3000, //超时时间设置为3秒；
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			// 数据提交成功，保存地址
			if(data.rtnStatus){
				var userInfo = getUserInfo();
				var userInfoJson = jQuery.parseJSON(userInfo); 
				userInfoJson.studentsex=jQuery(".person-sex span.cur").attr("data-code");
				userInfoJson.hobby=paramHobby.substr(0,paramHobby.length-1);
				userInfoJson.nickname=document.getElementById('nickName').value;
				userInfoJson.location=document.getElementById("locateName").value;
				userInfoJson.gkfs = gkfsBox.value;
				localStorage.tdx_user_info = JSON.stringify(userInfoJson);
			}
			console.log("localStorage.tdx_user_info:" +localStorage.tdx_user_info);
			retData = data;
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log('isPhoneNumReg error');		
		}
	}); 
	return retData;
};

function modifyStudentImg(userkey){
	console.log(" modifyStudentImg imgPath:" +imgPath);
	if(imgPath == null){
		updateInfo(userkey);
		return;
	}
 // 头像上传 
	console.log("img:"+imgPath);
	console.log("modifyStudentImg clientVer:" +clientVer);
	var task = plus.uploader.createUpload(ajaxDomainAPI+'modifyStudentImg', 
		{ method:"POST",blocksize:204800,priority:100 },
		function ( t, status ) {
			// 上传完成
			if ( status == 200 ) {
				var data = jQuery.parseJSON(unescape(t.responseText));
				console.log("ttt:" + JSON.stringify(data));
				// 数据提交成功，保存地址
				var userInfo = getUserInfo(); 
				var userInfoJson = jQuery.parseJSON(userInfo); 
				userInfoJson.studentimg=data.userlogo;
				localStorage.tdx_user_info = JSON.stringify(userInfoJson);
				jQuery("#headImg").attr("src",data.userlogo);
				console.log( "Upload success: " + t.url );
				console.log("localStorage.tdx_user_info:"+localStorage.tdx_user_info)
				
				updateInfo(userkey);
			} else {
				console.log( "Upload failed: " + status );
			}
		}
	);
	if(imgPath.indexOf("file://") < 0){
	    imgPath = "file://"+imgPath;
	} 
	task.addFile( imgPath, {key:"file"}); 
	task.addData( "userkey", userkey );
	task.addData( "clientVer", clientVer);
	task.retry = 0; // 重得上传
	console.log("task retry:" +task.retry);

	
	task.start();
};


function updateInfo(userkey){
	var retData = updateStudentInfo(userkey);
	if(!retData.rtnStatus){
		plus.nativeUI.toast(retData.rtnMsg);
		return ;
	}

	
	var currentPageObj = plus.webview.currentWebview();
	plus.nativeUI.toast("保存成功",{duration:"short"});
	// 如果存在重定向页面，则页面跳转
	var rtUrl = getRtUrl();
	
	refreshLoginOpenerWV();//登陆流程中刷新 创造者页面
	refreshPersonEditOpenerWV();//完善个人流程中刷新 创造者页面
	
	if(rtUrl.indexOf('reg.html') >= 0){
	    var temp = {};
		var currentPageObj = plus.webview.currentWebview();
		var noticeObj = plus.webview.getWebviewById('page/notice.html');
		var personObj = plus.webview.getWebviewById('page/person.html');
//					plus.webview.getWebviewById('page/main.html').reload();
		temp['page/notice.html'] = "true";
		temp['page/person.html'] = "true";
		temp['page/main.html'] = "true";
		setAniShow(temp);
		mui.fire(personObj,'refreshPerson');
		mui.fire(noticeObj,'refreshNotice');
		currentPageObj.opener().opener().close('none');
		currentPageObj.opener().close('none');
		
		
		currentPageObj.close();
	    return;
	}
//						plus.webview.getWebviewById('page/person.html').reload();
	currentPageObj.opener().reload();
    currentPageObj.close('none');
	//openWindowDIY(rtUrl,true);
}

//定位服务
function locationService(posParam, htmlParam, popParam) {
	var curPosition = posParam;
	var popoverHtml = '<div class="pop-area"><a class="mui-icon iconfont icon-close closepop" id="closePop"></a>';
	var rtnStatus = true;
	var cityList = ['北京', '上海', '天津', '重庆', '黑龙江', '吉林', '辽宁', '山东', '山西', '陕西', '河北', '河南',
		'湖北', '湖南', '江苏', '江西', '安徽', '浙江', '福建', '广东', '广西', '海南', '云南', '贵州',
		'四川', '西藏', '宁夏', '甘肃', '青海', '内蒙古', '新疆', '香港', '澳门'
	];
	var positionOK = false;

	if (isEmpty(curPosition)) {
		jQuery.ajax(ajaxDomainAPI + 'ip/getIP', {
			async: false,
			cache: false,
			data: {clientVer: clientVer},
			dataType: 'json',
			type: 'post',
			timeout: 3000,
			success: function(data) {
				rtnStatus = data["rtnStatus"];
				if (rtnStatus) {
					for (var i = 0, j = 0; i < cityList.length; i++) {
						if (!isEmpty(data["provName"])) {
							if (data["provName"].indexOf(cityList[i]) >= 0) {
								curPosition = cityList[i];
								positionOK = true;
							}
						}
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log(errorThrown);
			}
		});
	} else {
		for (var i = 0, j = 0; i < cityList.length; i++) {
			if (curPosition.indexOf(cityList[i]) >= 0) {
				curPosition = cityList[i];
				positionOK = true;
			}
		}
	}
	
	if (!positionOK) {
		curPosition = "湖北";
	}
	
	var locateHtml = '<span id="oldCurPosition" class="mui-pull-left">' + curPosition + '</span>';
	if (!isEmpty(htmlParam)) {
		locateHtml += htmlParam;
	}
	locateHtml += '<input type="hidden" id="locateName" value="' + curPosition + '" />' +
		'<input type="hidden" id="locateId" value="' + getGpsProvinceCodeByName(curPosition) + '" />';
	
	document.getElementById("locate").innerHTML = locateHtml;
	
    popoverHtml += popParam;
//	if (rtnStatus && positionOK) {
//		if (!isEmpty(popParam)){
//			popoverHtml += popParam;
//		} else {
//			popoverHtml += '<h3 id="setCurPosition"><span class="mui-icon iconfont icon-locate"></span>当前定位：' + curPosition + '</h3>';
//		}
//	} else {
//		popoverHtml += '<h3>定位失败，请选择目标省份</h3>';
//	}

	popoverHtml += '<p id="selectCity"><p>';
	for (var i = 0, j = 0; i < cityList.length; i++) {
		if (cityList[i] == curPosition) {
			popoverHtml += '<span class="cur" id="' + cityList[i] + '">' + cityList[i] + '</span>';
		} else {
			popoverHtml += '<span id="' + cityList[i] + '">' + cityList[i] + '</span>';
		}
		j = i + 1;
		if (j > 0 && j % 5 == 0 && j < cityList.length) {
			popoverHtml += '</p><p>'
		}
	}

	popoverHtml += '</p></p><h5>我们正在努力为更多省份城市提供服务</h5></div>';

	document.getElementById("popover").innerHTML = popoverHtml;
	
	mui("#popover").on('tap', 'span', function() {
		var locatePosition = document.getElementById("locateName");
		var locatePositionId = document.getElementById("locateId");
		var oldCurPosition = document.getElementById("oldCurPosition");
		var positionId = this.getAttribute("id");
		
		if (locatePosition.value.indexOf("定位失败")<0) {
			document.getElementById(locatePosition.value).setAttribute("class", "");
		}
		this.setAttribute("class", "cur");
		
		oldCurPosition.innerHTML = positionId;
		locatePosition.value = positionId;
		locatePositionId.value = getGpsProvinceCodeByName(positionId);
		console.log(locatePositionId.value);
		
		mui("#popover").popover("hide");
		
		if (isEmpty(popParam)){
			document.getElementById("setCurPosition").innerHTML = '<span class="mui-icon iconfont icon-locate"></span>当前定位：' + positionId;
		}
		
	});
	
	document.getElementById("locate").addEventListener('tap', function() {
		mui("#popover").popover("toggle");
	});
	
	document.getElementById("closePop").addEventListener('tap', function() {
		mui("#popover").popover("hide");
	});
};


